<?php

if ( !function_exists ('apushome_custom_styles') ) {
	function apushome_custom_styles() {
		global $post;	
		
		ob_start();	
		?>
		
			/* check main color */ 
			<?php if ( apushome_get_config('main_color') != "" ) : ?>

				/* seting background main */
				.property-gallery-preview .owl-controls .owl-dots .owl-dot.active,
				.nav-tabs.nav-table > li:active > a, .nav-tabs.nav-table > li:hover > a, .nav-tabs.nav-table > li.active > a,
				.widget-location-banner.style-style2:hover .properties,
				.price_range .ui-slider-handle + .ui-slider-handle,
				.property-box-slider-wrapper .property-box-slider-content .property-box-meta,
				.owl-controls .owl-dots .owl-dot.active span,
				.property-box-image-inner .meta-top > .property-badge-sticky,
				.bg-theme
				{
					background: <?php echo esc_html( apushome_get_config('main_color') ) ?> ;
				}
				/* setting color*/
				.top-detail .breadcrumb a,
				.apus-breadscrumb .breadcrumb a,
				.property-display-mod .active > a,
				.btn-readmore:hover, .btn-readmore:active,
				.widget-testimonials .layout-inner1 .name-client,
				.apus-footer .widget-title, .apus-footer .widgettitle, .apus-footer .widget-heading,
				.text-theme,a:hover,a:active
				{
					color: <?php echo esc_html( apushome_get_config('main_color') ) ?> !important;
				}
				/* setting border color*/
				.property-gallery-preview .owl-controls .owl-dots .owl-dot.active,
				.widget-newletter.style4 .input-group,
				.border-theme{
					border-color: <?php echo esc_html( apushome_get_config('main_color') ) ?> ;
				}

			<?php endif; ?>

			/* check second color */ 
			<?php if ( apushome_get_config('second_color') != "" ) : ?>

				/* seting background main */
				.widget-package.is_featured .package-heading,
				.property-box-image-inner .feature,
				.tabs-v1.nav-tabs li:focus > a:focus, .tabs-v1.nav-tabs li:focus > a:hover, .tabs-v1.nav-tabs li:focus > a, .tabs-v1.nav-tabs li:hover > a:focus, .tabs-v1.nav-tabs li:hover > a:hover, .tabs-v1.nav-tabs li:hover > a, .tabs-v1.nav-tabs li.active > a:focus, .tabs-v1.nav-tabs li.active > a:hover, .tabs-v1.nav-tabs li.active > a,
				.property-box-image-inner .meta-top > *,
				.add-fix-top,
				.bg-theme-second,.btn-theme-second
				{
					background: <?php echo esc_html( apushome_get_config('second_color') ) ?>;
				}
				/* setting color*/
				.widget-testimonials.light_left .widget-title,
				.text-second,.second-color
				{
					color: <?php echo esc_html( apushome_get_config('second_color') ) ?> !important;
				}
				/* setting border color*/
				.btn-theme-second
				{
					border-color: <?php echo esc_html( apushome_get_config('second_color') ) ?>;
				}

			<?php endif; ?>
			

			<?php if ( apushome_get_config('button_main_color') != "" ) : ?>
				.btn.btn-theme{
					background: <?php echo esc_html( apushome_get_config('button_main_color') ) ?>;
				}
				.btn.btn-theme{
					border-color: <?php echo esc_html( apushome_get_config('button_main_color') ) ?>;
				}
			<?php endif; ?>
			<?php if ( apushome_get_config('button_hover_main_color') != "" ) : ?>
				.btn.btn-theme:hover,.btn.btn-theme:active,.btn.btn-theme:focus{
					background: <?php echo esc_html( apushome_get_config('button_hover_main_color') ) ?>;
				}
				.btn.btn-theme:hover,.btn.btn-theme:active,.btn.btn-theme:focus{
					border-color: <?php echo esc_html( apushome_get_config('button_hover_main_color') ) ?>;
				}
			<?php endif; ?>

			/* seting second */

			<?php if ( apushome_get_config('button_second_color') != "" ) : ?>
				.btn.btn-theme-second{
					background: <?php echo esc_html( apushome_get_config('button_second_color') ) ?>;
				}
				.btn.btn-theme-second{
					border-color: <?php echo esc_html( apushome_get_config('button_second_color') ) ?>;
				}
			<?php endif; ?>
			<?php if ( apushome_get_config('button_hover_second_color') != "" ) : ?>
				.btn.btn-theme-second:hover,.btn.btn-theme-second:active,.btn.btn-theme-second:focus{
					background: <?php echo esc_html( apushome_get_config('button_hover_second_color') ) ?>;
				}
				.btn.btn-theme-second:hover,.btn.btn-theme-second:active,.btn.btn-theme-second:focus{
					border-color: <?php echo esc_html( apushome_get_config('button_hover_second_color') ) ?>;
				}
			<?php endif; ?>


			/* Typo */
			<?php
				$main_font = apushome_get_config('main_font');
				if ( !empty($main_font) ) :
			?>
				/* seting background main */
				body, p, .navbar-nav.megamenu > li > a, .apus-breadscrumb .breadcrumb
				{
					<?php if ( isset($main_font['font-family']) && $main_font['font-family'] ) { ?>
						font-family: <?php echo esc_html( $main_font['font-family'] ) ?>;
					<?php } ?>
					<?php if ( isset($main_font['font-weight']) && $main_font['font-weight'] ) { ?>
						font-weight: <?php echo esc_html( $main_font['font-weight'] ) ?>;
					<?php } ?>
					<?php if ( isset($main_font['font-style']) && $main_font['font-style'] ) { ?>
						font-style: <?php echo esc_html( $main_font['font-style'] ) ?>;
					<?php } ?>
					<?php if ( isset($main_font['font-size']) && $main_font['font-size'] ) { ?>
						font-size: <?php echo esc_html( $main_font['font-size'] ) ?>;
					<?php } ?>
					<?php if ( isset($main_font['line-height']) && $main_font['line-height'] ) { ?>
						line-height: <?php echo esc_html( $main_font['line-height'] ) ?>;
					<?php } ?>
					<?php if ( isset($main_font['color']) && $main_font['color'] ) { ?>
						color: <?php echo esc_html( $main_font['color'] ) ?>;
					<?php } ?>
				}
				
			<?php endif; ?>

			<?php
				$second_font = apushome_get_config('second_font');
				if ( !empty($second_font) ) :
			?>
				/* seting background main */
				h1,h2,h3,h4,h5,h6,.widget-title,.widgettitle, .btn
				{
					<?php if ( isset($second_font['font-family']) && $second_font['font-family'] ) { ?>
						font-family: <?php echo esc_html( $second_font['font-family'] ) ?>;
					<?php } ?>
					<?php if ( isset($second_font['font-weight']) && $second_font['font-weight'] ) { ?>
						font-weight: <?php echo esc_html( $second_font['font-weight'] ) ?>;
					<?php } ?>
					<?php if ( isset($second_font['font-style']) && $second_font['font-style'] ) { ?>
						font-style: <?php echo esc_html( $second_font['font-style'] ) ?>;
					<?php } ?>
					<?php if ( isset($second_font['font-size']) && $second_font['font-size'] ) { ?>
						font-size: <?php echo esc_html( $second_font['font-size'] ) ?>;
					<?php } ?>
					<?php if ( isset($second_font['line-height']) && $second_font['line-height'] ) { ?>
						line-height: <?php echo esc_html( $second_font['line-height'] ) ?>;
					<?php } ?>
					<?php if ( isset($second_font['color']) && $second_font['color'] ) { ?>
						color: <?php echo esc_html( $second_font['color'] ) ?>;
					<?php } ?>
				}
				
			<?php endif; ?>

			/* Custom CSS */
			<?php if ( apushome_get_config('custom_css') != "" ) : ?>
				<?php echo apushome_get_config('custom_css') ?>
			<?php endif; ?>

	<?php
		$content = ob_get_clean();
		$content = str_replace(array("\r\n", "\r"), "\n", $content);
		$lines = explode("\n", $content);
		$new_lines = array();
		foreach ($lines as $i => $line) {
			if (!empty($line)) {
				$new_lines[] = trim($line);
			}
		}
		
		return implode($new_lines);
	}
}
