<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
 
class Apushome_Realia_Submition_Form {
    
    public static function init() {
        add_filter( 'cmb2_meta_boxes', array( __CLASS__, 'fields_front' ), 99 );
    }

    public static function default_fields() {
        return apply_filters('realia_submition_form_default_fields', array(
            'title' => esc_html__('Title', 'apushome'),
            'text' => esc_html__('Description', 'apushome'),
            'featured_image' => esc_html__('Featured Image', 'apushome'),
            'id' => esc_html__('Reference', 'apushome'),
            'year_built' => esc_html__('Year built', 'apushome'),
            'gallery' => esc_html__('Gallery', 'apushome'),
            'price' => esc_html__('Price', 'apushome'),
            'price_prefix' => esc_html__('Price Prefix', 'apushome'),
            'price_suffix' => esc_html__('Price Suffix', 'apushome'),
            'price_custom' => esc_html__('Price Custom', 'apushome'),
            'rooms' => esc_html__('Rooms', 'apushome'),
            'beds' => esc_html__('Beds', 'apushome'),
            'baths' => esc_html__('Baths', 'apushome'),
            'garages' => esc_html__('Garages', 'apushome'),
            'home_area' => esc_html__('Home Area', 'apushome'),
            'lot_dimensions' => esc_html__('Lot Dimensions', 'apushome'),
            'lot_area' => esc_html__('Lot Area', 'apushome'),
            'contract' => esc_html__('Contract', 'apushome'),
            'plans' => esc_html__('Floor Plans', 'apushome'),
            'video' => esc_html__('Video', 'apushome'),
            'virtual_tour' => esc_html__('Virtual Tour', 'apushome'),
            'contact_name' => esc_html__('Contact Name', 'apushome'),
            'contact_phone' => esc_html__('Contact Phone', 'apushome'),
            'map_location' => esc_html__('Map Location', 'apushome'),
            'location' => esc_html__('Location', 'apushome'),
            'status' => esc_html__('Status', 'apushome'),
            'type' => esc_html__('Type', 'apushome'),
            'material' => esc_html__('Material', 'apushome'),
            'amenity' => esc_html__('Amenity', 'apushome'),
            'parent_property' => esc_html__('Parent property', 'apushome'),
            'public_facilities_group' => esc_html__('Public facilities', 'apushome'),
            'valuation_group' => esc_html__('Valuation', 'apushome')
        ));
    }

    public static function fields_front( array $metaboxes ) {
        if ( !is_admin() ) {
            if ( isset($metaboxes[ REALIA_PROPERTY_PREFIX . 'front' ]) ) {
                if ( !empty($metaboxes[ REALIA_PROPERTY_PREFIX . 'front' ]['fields']) ) {
                    $t_fields = array();
                    $fields = array();
                    foreach ($metaboxes[ REALIA_PROPERTY_PREFIX . 'front' ]['fields'] as $field) {
                        $t_fields[$field['id']] = $field;
                        // init hidden field
                        if ( $field['type'] == 'hidden' ) {
                            $fields = array( $field );
                        }
                    }
                    // extra field
                    $t_fields[REALIA_PROPERTY_PREFIX.'virtual_tour'] = array(
                        'name' => esc_html__( 'Virtual Tour', 'apushome' ),
                        'id' => REALIA_PROPERTY_PREFIX . 'virtual_tour',
                        'type' => 'textarea_code',
                        'description' => esc_html__( 'Embed Iframe code', 'apushome' ),
                    );
                    $t_fields[REALIA_PROPERTY_PREFIX.'price_prefix'] = array(
                        'id'                => REALIA_PROPERTY_PREFIX . 'price_prefix',
                        'name'              => esc_html__( 'Price Prefix', 'apushome' ),
                        'type'              => 'text',
                        'description'       => esc_html__( 'Any text shown before price (for example "from").', 'apushome' ),
                    );
                    $t_fields[REALIA_PROPERTY_PREFIX.'price_suffix'] = array(
                        'id'                => REALIA_PROPERTY_PREFIX . 'price_suffix',
                        'name'              => esc_html__( 'Price Suffix', 'apushome' ),
                        'type'              => 'text',
                        'description'       => esc_html__( 'Any text shown after price (for example "per night").', 'apushome' ),
                    );
                    $t_fields[REALIA_PROPERTY_PREFIX.'price_custom'] = array(
                        'id'                => REALIA_PROPERTY_PREFIX . 'price_custom',
                        'name'              => esc_html__( 'Price Custom', 'apushome' ),
                        'type'              => 'text',
                        'description'       => esc_html__( 'Any text instead of price (for example "by agreement"). Prefix and Suffix will be ignored.', 'apushome' ),
                    );
                    $t_fields = apply_filters( 'realia_submition_form_custom_fields', $t_fields );
                    // sort
                    $s_fields = apushome_get_config( 'property_fields_front', array() );
                    if ( isset( $s_fields['enabled'] ) ) {
                        $s_fields = $s_fields['enabled'];
                        if ( isset($s_fields['placebo']) ) {
                            unset($s_fields['placebo']);
                        }
                        foreach ($s_fields as $key => $value) {
                            if ( isset($t_fields[REALIA_PROPERTY_PREFIX.$key]) ) {
                                $fields[] = $t_fields[REALIA_PROPERTY_PREFIX.$key];
                            }
                        }
                    }

                    $metaboxes[ REALIA_PROPERTY_PREFIX . 'front' ]['fields'] = $fields;
                }
            }
        }
        return $metaboxes;
    }

}

Apushome_Realia_Submition_Form::init();
