<?php

function apushome_realia_add_fields( $metaboxes ) {
	
	$metaboxes[REALIA_PROPERTY_PREFIX . 'general']['fields'][] = array(
		'name' => esc_html__( 'Virtual Tour', 'apushome' ),
		'id' => REALIA_PROPERTY_PREFIX . 'virtual_tour',
		'type' => 'textarea_code',
		'description' => esc_html__( 'Embed Iframe code', 'apushome' ),
	);

	$metaboxes[REALIA_AGENT_PREFIX . 'contact_details']['fields'][] = array(
		'name'              => esc_html__( 'Job', 'apushome' ),
		'id'                => REALIA_PROPERTY_PREFIX . 'job',
		'type'              => 'text',
	);

	return $metaboxes;
}
add_action( 'cmb2_meta_boxes', 'apushome_realia_add_fields', 9999 );

function apushome_get_properties( $contract = '', $orderby = 'latest', $number = 4, $types = array(), $statuses = array(), $locations = array(), $materials = array(), $amenities = array(), $ids = array() ) {
	remove_action( 'pre_get_posts', array( 'Apushome_Realia_Filter', 'archive' ) );
	remove_action( 'pre_get_posts', array( 'Apushome_Realia_Filter', 'taxonomy' ) );
	$args = array(
		'post_type' => 'property',
		'posts_per_page' => $number,
		'post_status' => 'publish'
	);

	switch ($orderby) {
		case 'featured':
			$args['meta_query'][] = array(
				'key'       => REALIA_PROPERTY_PREFIX . 'featured',
				'value'     => 'on',
				'compare'   => '==',
			);
			break;
		case 'reduced':
			$args['meta_query'][] = array(
				'key'       => REALIA_PROPERTY_PREFIX . 'reduced',
				'value'     => 'on',
				'compare'   => '==',
			);
			break;
		case 'sticky':
			$args['meta_query'][] = array(
				'key'       => REALIA_PROPERTY_PREFIX . 'sticky',
				'value'     => 'on',
				'compare'   => '==',
			);
			break;
		default:

			break;
	}

	if ($contract) {
		$args['meta_query'][] = array(
			'key'       => REALIA_PROPERTY_PREFIX . 'contract',
			'value'     => $contract,
			'compare'   => '==',
		);
	}
	// types
	if ( !empty($types) && is_array($types) ) {
        $args['tax_query'][] = array(
            'taxonomy'      => 'property_types',
            'field'         => 'slug',
            'terms'         => $types,
            'operator'      => 'IN'
        );
    }
    // statuses
    if ( !empty($statuses) && is_array($statuses) ) {
        $args['tax_query'][] = array(
            'taxonomy'      => 'statuses',
            'field'         => 'slug',
            'terms'         => $statuses,
            'operator'      => 'IN'
        );
    }
    // locations
    if ( !empty($locations) && is_array($locations) ) {
        $args['tax_query'][] = array(
            'taxonomy'      => 'locations',
            'field'         => 'slug',
            'terms'         => $locations,
            'operator'      => 'IN'
        );
    }
    // materials
    if ( !empty($materials) && is_array($materials) ) {
        $args['tax_query'][] = array(
            'taxonomy'      => 'materials',
            'field'         => 'slug',
            'terms'         => $materials,
            'operator'      => 'IN'
        );
    }
    // amenities
    if ( !empty($amenities) && is_array($amenities) ) {
        $args['tax_query'][] = array(
            'taxonomy'      => 'amenities',
            'field'         => 'slug',
            'terms'         => $amenities,
            'operator'      => 'IN'
        );
    }

    if ( !empty($ids) ) {
		$args['post__in'] = $ids;
	}
	$loop = new WP_Query($args);
	add_action( 'pre_get_posts', array( 'Apushome_Realia_Filter', 'archive' ) );
	add_action( 'pre_get_posts', array( 'Apushome_Realia_Filter', 'taxonomy' ) );
	return $loop;
}


if ( !function_exists('apushome_agency_content_class') ) {
	function apushome_agency_content_class( $class ) {
		$page = 'archive';
		if ( is_singular( 'post' ) ) {
            $page = 'single';
        }
		if ( apushome_get_config('agency_'.$page.'_fullwidth') ) {
			return 'container-fluid';
		}
		return $class;
	}
}
add_filter( 'apushome_agency_content_class', 'apushome_agency_content_class', 1 , 1  );

if ( !function_exists('apushome_get_agency_layout_configs') ) {
	function apushome_get_agency_layout_configs() {
		$page = 'archive';
		if ( is_singular( 'agency' ) ) {
            $page = 'single';
        }
		$left = apushome_get_config('agency_'.$page.'_left_sidebar');
		$right = apushome_get_config('agency_'.$page.'_right_sidebar');

		switch ( apushome_get_config('agency_'.$page.'_layout') ) {
		 	case 'left-main':
		 		$configs['left'] = array( 'sidebar' => $left, 'class' => 'col-md-4 col-sm-12 col-xs-12'  );
		 		$configs['main'] = array( 'class' => 'col-md-8 col-sm-12 col-xs-12 pull-right' );
		 		break;
		 	case 'main-right':
		 		$configs['right'] = array( 'sidebar' => $right,  'class' => 'col-md-4 col-sm-12 col-xs-12 pull-right' ); 
		 		$configs['main'] = array( 'class' => 'col-md-8 col-sm-12 col-xs-12' );
		 		break;
	 		case 'main':
	 			$configs['main'] = array( 'class' => 'col-md-12 col-sm-12 col-xs-12' );
	 			break;
 			case 'left-main-right':
 				$configs['left'] = array( 'sidebar' => $left,  'class' => 'col-md-3 col-sm-12 col-xs-12'  );
		 		$configs['right'] = array( 'sidebar' => $right, 'class' => 'col-md-3 col-sm-12 col-xs-12' ); 
		 		$configs['main'] = array( 'class' => 'col-md-6 col-sm-12 col-xs-12' );
 				break;
		 	default:
		 		$configs['main'] = array( 'class' => 'col-md-12 col-sm-12 col-xs-12' );
		 		break;
		}

		return $configs; 
	}
}


if ( !function_exists('apushome_agent_content_class') ) {
	function apushome_agent_content_class( $class ) {
		$page = 'archive';
		if ( is_singular( 'post' ) ) {
            $page = 'single';
        }
		if ( apushome_get_config('agent_'.$page.'_fullwidth') ) {
			return 'container-fluid';
		}
		return $class;
	}
}
add_filter( 'apushome_agent_content_class', 'apushome_agent_content_class', 1 , 1  );

if ( !function_exists('apushome_get_agent_layout_configs') ) {
	function apushome_get_agent_layout_configs() {
		$page = 'archive';
		if ( is_singular( 'post' ) ) {
            $page = 'single';
        }
		$left = apushome_get_config('agent_'.$page.'_left_sidebar');
		$right = apushome_get_config('agent_'.$page.'_right_sidebar');

		switch ( apushome_get_config('agent_'.$page.'_layout') ) {
		 	case 'left-main':
		 		$configs['left'] = array( 'sidebar' => $left, 'class' => 'col-md-3 col-sm-12 col-xs-12'  );
		 		$configs['main'] = array( 'class' => 'col-md-9 col-sm-12 col-xs-12 pull-right' );
		 		break;
		 	case 'main-right':
		 		$configs['right'] = array( 'sidebar' => $right,  'class' => 'col-md-3 col-sm-12 col-xs-12 pull-right' ); 
		 		$configs['main'] = array( 'class' => 'col-md-9 col-sm-12 col-xs-12' );
		 		break;
	 		case 'main':
	 			$configs['main'] = array( 'class' => 'col-md-12 col-sm-12 col-xs-12' );
	 			break;
 			case 'left-main-right':
 				$configs['left'] = array( 'sidebar' => $left,  'class' => 'col-md-3 col-sm-12 col-xs-12'  );
		 		$configs['right'] = array( 'sidebar' => $right, 'class' => 'col-md-3 col-sm-12 col-xs-12' ); 
		 		$configs['main'] = array( 'class' => 'col-md-6 col-sm-12 col-xs-12' );
 				break;
		 	default:
		 		$configs['main'] = array( 'class' => 'col-md-12 col-sm-12 col-xs-12' );
		 		break;
		}

		return $configs; 
	}
}


if ( !function_exists('apushome_property_content_class') ) {
	function apushome_property_content_class( $class ) {
		$page = 'archive';
		if ( is_singular( 'post' ) ) {
            $page = 'single';
        }
		if ( apushome_get_config('property_'.$page.'_fullwidth') ) {
			return 'container-fluid';
		}
		return $class;
	}
}
add_filter( 'apushome_property_content_class', 'apushome_property_content_class', 1 , 1  );


if ( !function_exists('apushome_get_property_layout_configs') ) {
	function apushome_get_property_layout_configs() {
		$page = 'archive';
		if ( is_singular( 'property' ) ) {
            $page = 'single';
        }
		$left = apushome_get_config('property_'.$page.'_left_sidebar');
		$right = apushome_get_config('property_'.$page.'_right_sidebar');

		switch ( apushome_get_config('property_'.$page.'_layout') ) {
		 	case 'left-main':
		 		$configs['left'] = array( 'sidebar' => $left, 'class' => 'col-md-4 col-sm-12 col-xs-12'  );
		 		$configs['main'] = array( 'class' => 'col-md-8 col-sm-12 col-xs-12 pull-right' );
		 		break;
		 	case 'main-right':
		 		$configs['right'] = array( 'sidebar' => $right,  'class' => 'col-md-4 col-sm-12 col-xs-12 pull-right' ); 
		 		$configs['main'] = array( 'class' => 'col-md-8 col-sm-12 col-xs-12' );
		 		break;
	 		case 'main':
	 			$configs['main'] = array( 'class' => 'col-md-12 col-sm-12 col-xs-12' );
	 			break;
 			case 'left-main-right':
 				$configs['left'] = array( 'sidebar' => $left,  'class' => 'col-md-3 col-sm-12 col-xs-12'  );
		 		$configs['right'] = array( 'sidebar' => $right, 'class' => 'col-md-3 col-sm-12 col-xs-12' ); 
		 		$configs['main'] = array( 'class' => 'col-md-6 col-sm-12 col-xs-12' );
 				break;
		 	default:
		 		$configs['main'] = array( 'class' => 'col-md-12 col-sm-12 col-xs-12' );
		 		break;
		}

		return $configs; 
	}
}

function apushome_property_page_link($keep_query = false ) {
    if ( is_post_type_archive( 'property' ) ) {
        $link = get_post_type_archive_link( 'property' );
    } else {
        $link = get_term_link( get_query_var('term'), get_query_var('taxonomy') );
    }

    if( $keep_query ) {
        foreach ( $_GET as $key => $val ) {
            if ( 'orderby' === $key || 'submit' === $key ) {
                continue;
            }
            $link = add_query_arg( $key, $val, $link );
        }
    }
    return $link;
}

remove_action( 'realia_before_property_archive', array( 'Realia_Filter', 'sort_template' ) );


if ( !function_exists('apushome_realia_get_display_mode') ) {
    function apushome_realia_get_display_mode() {
        $display_mode = get_theme_mod( 'realia_general_show_property_archive_as_grid', null );
        if ($display_mode == '1') {
        	$display_mode = 'grid';
        } else {
        	$display_mode = 'list';
        }
        if ( isset($_COOKIE['apushome_realia_mode']) && ($_COOKIE['apushome_realia_mode'] == 'list' || $_COOKIE['apushome_realia_mode'] == 'grid') ) {
            $display_mode = $_COOKIE['apushome_realia_mode'];
        }
        return $display_mode;
    }
}

function apushome_realia_get_property_tax( $post_id = null, $tax = 'property_types' ) {
	if ( null == $post_id ) {
		$post_id = get_the_ID();
	}
	$types = wp_get_post_terms( $post_id, $tax );
	if ( is_array( $types ) && count( $types ) > 0 ) {
		$type = array_shift( $types );
		return $type;
	}

	return false;
}

function apushome_realia_get_property_agent($post_id = null) {
	$property_agents = Realia_Query::get_property_agents($post_id);

	if ( count( $property_agents ) > 0 ) {
		$agent_id = $property_agents[0];
		$agents = get_posts( array(
			'post_type' => 'agent',
			'post__in' => array($agent_id),
			'post_status' => 'public',
			'number' => 1
		) );
		if ( !empty($agents) ) {
			return $agents[0];
		}
	}
	return false;
}

function apushome_realia_display_property_agent($post_id) {
	$agent = apushome_realia_get_property_agent();
	if ( !empty($agent) ) {
		?>
		<div class="media">
			<div class="media-left media-middle">
				<div class="agent-small-image-inner">
					<a href="<?php echo esc_url(get_permalink($agent->ID)); ?>" class="agent-small-image-inner">
						<?php if ( has_post_thumbnail($agent) ) : ?>
							<?php echo trim(get_the_post_thumbnail( $agent, 'apushome-agent-small' )); ?>
						<?php endif; ?>
					</a><!-- /.agent-small-image-inner -->
				</div>
			</div>
			<div class="media-body media-middle">
				<a href="<?php echo esc_url(get_permalink($agent->ID)); ?>" class="agent-small-image-inner">
					<span><?php echo trim($agent->post_title); ?></span>
				</a>
			</div>
		</div>
		<?php
	} else {
		?>
		<div class="media">
			<div class="media-left media-middle">
				<div class="agent-small-image-inner">
					<?php echo get_avatar(get_the_author_meta('ID'), 42); ?>
				</div>
			</div>
			<div class="media-body media-middle">
				<span><?php echo get_the_author();?></span>
			</div>
		</div>
		<?php
	}
}

function apushome_realia_agent_social_icons() {
	$social_icons = array(
        'facebook' => 'icon-ap_facebook-outline',
        'google_plus' => 'icon-ap_google-plus',
        'twitter' => 'icon-ap_twitter-outline',
        'linkedin' => 'icon-ap_linkedin-outline',
    );
    return apply_filters( 'apushome_realia_agent_social_icons', $social_icons );
}

// ajax request
function apushome_is_ajax_request() {
    if ( ! empty( $_SERVER['HTTP_X_REQUESTED_WITH'] ) && strtolower( $_SERVER['HTTP_X_REQUESTED_WITH'] ) == 'xmlhttprequest' ) {
        return true;
    }
    return false;
}

function apushome_get_current_url() {
	global $wp;
	$link = home_url( $wp->request ); // Base page URL
			
	// Unset query strings used for Ajax shop filters
	unset( $_GET['shop_load'] );
	unset( $_GET['_'] );
	
	$qs_count = count( $_GET );
	
	// Any query strings to add?
	if ( $qs_count > 0 ) {
		$i = 0;
		$link .= '?';
		
		// Build query string
		foreach ( $_GET as $key => $value ) {
			$i++;
			$link .= $key . '=' . $value;
			if ( $i != $qs_count ) {
				$link .= '&';
			}
		}
	}
	return $link;
}

function apushome_get_content_sort($layout_type = 'layout1') {
	if ( $layout_type == 'layout3' || $layout_type == 'layout4') {
		$contents = apushome_get_config( 'property_sort_content_v2', array() );
	} else {
		$contents = apushome_get_config( 'property_sort_content', array() );
	}

	if ( isset( $contents['enabled'] ) ) {
		$contents = $contents['enabled'];
		if ( isset($contents['placebo']) ) {
			unset($contents['placebo']);
		}
		return $contents;
	}

	return array();
}

function apushome_get_default_places() {
	$options = array(
        "accounting" => esc_html__('Accounting', 'apushome'),
        "airport" => esc_html__('Airport', 'apushome'),
        "amusement_park" => esc_html__('Amusement Park', 'apushome'),
        "aquarium" => esc_html__('Aquarium', 'apushome'),
        "atm" => esc_html__('Atm', 'apushome'),
        "bakery" => esc_html__('Bakery', 'apushome'),
        "bank" => esc_html__('Bank', 'apushome'),
        "bar" => esc_html__('Bar', 'apushome'),
        "beauty_salon" => esc_html__('Beauty Salon', 'apushome'),
        "bicycle_store" => esc_html__('Bicycle Store', 'apushome'),
        "book_store" => esc_html__('Book Store', 'apushome'),
        "bowling_alley" => esc_html__('Bowling Alley', 'apushome'),
        "bus_station" => esc_html__('Bus Station', 'apushome'),
        "cafe" => esc_html__('Cafe', 'apushome'),
        "campground" => esc_html__('Campground', 'apushome'),
        "car_rental" => esc_html__('Car Rental', 'apushome'),
        "car_repair" => esc_html__('Car Repair', 'apushome'),
        "car_wash" => esc_html__('Car Wash', 'apushome'),
        "casino" => esc_html__('Casino', 'apushome'),
        "cemetery" => esc_html__('Cemetery', 'apushome'),
        "church" => esc_html__('Church', 'apushome'),
        "city_hall" => esc_html__('City Center', 'apushome'),
        "clothing_store" => esc_html__('Clothing Store', 'apushome'),
        "convenience_store" => esc_html__('Convenience Store', 'apushome'),
        "courthouse" => esc_html__('Courthouse', 'apushome'),
        "dentist" => esc_html__('Dentist', 'apushome'),
        "department_store" => esc_html__('Department Store', 'apushome'),
        "doctor" => esc_html__('Doctor', 'apushome'),
        "electrician" => esc_html__('Electrician', 'apushome'),
        "electronics_store" => esc_html__('Electronics Store', 'apushome'),
        "embassy" => esc_html__('Embassy', 'apushome'),
        "establishment" => esc_html__('Establishment', 'apushome'),
        "finance" => esc_html__('Finance', 'apushome'),
        "fire_station" => esc_html__('Fire Station', 'apushome'),
        "florist" => esc_html__('Florist', 'apushome'),
        "food" => esc_html__('Food', 'apushome'),
        "gas_station" => esc_html__('Gas Station', 'apushome'),
        "grocery_or_supermarket" => esc_html__('Grocery', 'apushome'),
        "gym" => esc_html__('Gym', 'apushome'),
        "hair_care" => esc_html__('Hair Care', 'apushome'),
        "hardware_store" => esc_html__('Hardware Store', 'apushome'),
        "health" => esc_html__('Health', 'apushome'),
        "home_goods_store" => esc_html__('Home Goods Store', 'apushome'),
        "hospital" => esc_html__('Hospital', 'apushome'),
        "jewelry_store" => esc_html__('Jewelry Store', 'apushome'),
        "laundry" => esc_html__('Laundry', 'apushome'),
        "lawyer" => esc_html__('Lawyer', 'apushome'),
        "library" => esc_html__('Library', 'apushome'),
        "lodging" => esc_html__('Lodging', 'apushome'),
        "movie_theater" => esc_html__('Movie Theater', 'apushome'),
        "moving_company" => esc_html__('Moving Company', 'apushome'),
        "night_club" => esc_html__('Night Club', 'apushome'),
        "park" => esc_html__('Park', 'apushome'),
        "pharmacy" => esc_html__('Pharmacy', 'apushome'),
        "place_of_worship" => esc_html__('Place Of Worship', 'apushome'),
        "plumber" => esc_html__('Plumber', 'apushome'),
        "police" => esc_html__('Police', 'apushome'),
        "post_office" => esc_html__('Post Office', 'apushome'),
        "restaurant" => esc_html__('Restaurant', 'apushome'),
        "school" => esc_html__('School', 'apushome'),
        "shopping_mall" => esc_html__('Shopping Mall', 'apushome'),
        "spa" => esc_html__('Spa', 'apushome'),
        "stadium" => esc_html__('Stadium', 'apushome'),
        "storage" => esc_html__('Storage', 'apushome'),
        "store" => esc_html__('Store', 'apushome'),
        "subway_station" => esc_html__('Subway Station', 'apushome'),
        "synagogue" => esc_html__('Synagogue', 'apushome'),
        "taxi_stand" => esc_html__('Taxi Stand', 'apushome'),
        "train_station" => esc_html__('Train Station', 'apushome'),
        "travel_agency" => esc_html__('Travel Agency', 'apushome'),
        "university" => esc_html__('University', 'apushome'),
        "veterinary_care" => esc_html__('Veterinary Care', 'apushome'),
        "zoo" => esc_html__('Zoo', 'apushome'),
    );
	return apply_filters( 'apushome_get_default_places', $options );
}

add_action( 'wp_ajax_apushome_properties_map', 'apushome_properties_map' );
add_action( 'wp_ajax_nopriv_apushome_properties_map', 'apushome_properties_map' );
function apushome_properties_map() {
	$types = array();
	if ( isset($_REQUEST['types']) && !empty($_REQUEST['types']) ) {
	    $types = explode(',', $_REQUEST['types']);
	}

	$statuses = array();
	if ( isset($_REQUEST['statuses']) && !empty($_REQUEST['statuses']) ) {
	    $statuses = explode(',', $_REQUEST['statuses']);
	}

	$locations = array();
	if ( isset($_REQUEST['locations']) && !empty($_REQUEST['locations']) ) {
	    $locations = explode(',', $_REQUEST['locations']);
	}
	$contract = isset($_REQUEST['contract']) && !empty($_REQUEST['contract']) ? $_REQUEST['contract'] : '';
	$orderby = isset($_REQUEST['orderby']) && !empty($_REQUEST['orderby']) ? $_REQUEST['orderby'] : '';
	$number = isset($_REQUEST['number']) && !empty($_REQUEST['number']) ? $_REQUEST['number'] : 4;

	$property_groups = array();
	$data = array();

	$loop = apushome_get_properties( $contract, $orderby, $number, $types, $statuses, $locations );
	if ( $loop->have_posts() ) {
		while ( $loop->have_posts() ) { $loop->the_post();
			$latitude = get_post_meta( get_the_ID(), REALIA_PROPERTY_PREFIX . 'map_location_latitude', true );
			$longitude = get_post_meta( get_the_ID(), REALIA_PROPERTY_PREFIX . 'map_location_longitude', true );

			// Build on array of property groups. We need to know how
			// many and which properties are at the same position.
			if ( ! empty( $latitude ) && ! empty( $longitude ) ) {
				$hash = sha1( $latitude . $longitude );
				$property_groups[ $hash ][] = get_the_ID();

			}
		}
		wp_reset_postdata();
	}

	foreach ( $property_groups as $group ) {
		$args = array(
			'post_type'         => 'property',
			'posts_per_page'    => -1,
			'post_status'       => 'publish',
			'post__in'          => $group,
		);

		query_posts( $args );
		if ( have_posts() ) {
			if ( count( $group ) > 1 ) {
				$latitude = get_post_meta( $group[0], REALIA_PROPERTY_PREFIX . 'map_location_latitude', true );
				$longitude = get_post_meta( $group[0], REALIA_PROPERTY_PREFIX . 'map_location_longitude', true );

				// Marker
				$output = Realia_Template_Loader::load( 'misc/google-map-infowindow-group' );
				$content = str_replace( array( "\r\n", "\n", "\t" ), '', $output );

				// Infowindow
				$output = Realia_Template_Loader::load( 'misc/google-map-marker-group' );
				$marker_content = str_replace( array( "\r\n", "\n", "\t" ), '', $output );
				// Just one property. We can get current post here.
			} else {
				the_post();
				$latitude = get_post_meta( get_the_ID(), REALIA_PROPERTY_PREFIX . 'map_location_latitude', true );
				$longitude = get_post_meta( get_the_ID(), REALIA_PROPERTY_PREFIX . 'map_location_longitude', true );

				$content = str_replace( array( "\r\n", "\n", "\t" ), '', Realia_Template_Loader::load( 'misc/google-map-infowindow' ) );
				$marker_content = str_replace( array( "\r\n", "\n", "\t" ), '', Realia_Template_Loader::load( 'misc/google-map-marker' ) );
			}

			// Array of values passed into markers[] array in jquery-google-map.js library
			$data[] = array(
				'latitude'          => $latitude,
				'longitude'         => $longitude,
				'content'           => $content,
				'marker_content'    => $marker_content,
			);
		}

		wp_reset_query();
	}

	echo json_encode( $data );
	exit();
}

function apushome_realia_get_property_type() {
	$terms = get_the_terms( get_the_ID(), 'property_types' );
	if ( ! is_wp_error( $terms ) && ( is_array( $terms ) || is_object( $terms ) ) ) {
		return $terms[0];
	}
}

function apushome_realia_get_term_icon_url( $term_id ) {
	return Taxonomy_MetaData_CMB2::get( 'property_types', $term_id, 'icon' );
}

function apushome_realia_display_price($price) {
	$price = Realia_Utilities::format_number( $price );
	$currencies = get_theme_mod( 'realia_currencies' );
	$currency_index = 0;
	$currency_symbol = ! empty( $currencies[ $currency_index ]['symbol'] ) ? $currencies[ $currency_index ]['symbol'] : '$';
	$currency_show_symbol_after = ! empty( $currencies[ $currency_index ]['show_after'] ) ? true : false;
	$price_html = $price;
	if ( ! empty( $currency_symbol ) ) {
		if ( $currency_show_symbol_after ) {
			$price_html = sprintf('<span class="price">%s</span> <span class="currency-symbol">%s</span>', $price, $currency_symbol);
		} else {
			$price_html = sprintf('<span class="currency-symbol">%s</span> <span class="price">%s</span>', $currency_symbol, $price);
		}
	}
	echo trim($price_html);
}

add_action( 'wp_ajax_apushome_get_nearby_yelp', 'apushome_get_nearby_yelp' );
add_action( 'wp_ajax_nopriv_apushome_get_nearby_yelp', 'apushome_get_nearby_yelp' );
function apushome_get_nearby_yelp() {
	$return = array();
	if ( isset($_POST['id']) ) {
		$property_id = (int)$_POST['id'];
		$access_token = apushome_get_config('api_settings_yelp_access_token', '');

		$all_cats = apushome_get_yelp_categories();
		$terms = apushome_get_config('yelp_category');
		$terms_title = apushome_get_config('yelp_title');
		$terms_icon = apushome_get_config('yelp_icon');
		$map_location = get_post_meta( $property_id, REALIA_PROPERTY_PREFIX . 'map_location', true );
		$limit = 3;

		if ( is_array($terms) && $access_token != '' && ! empty( $map_location ) && 2 == count( $map_location ) ) {
			$result = Realia_Template_Loader::load( 'single/yelp-content', array(
				'property_id' => $property_id,
				'access_token' => $access_token,
				'all_cats' => $all_cats,
				'terms' => $terms,
				'map_location' => $map_location,
				'limit' => $limit,
				'terms_title' => $terms_title,
				'terms_icon' => $terms_icon,
			) );
			$html = '';
			$result = trim($result);
			if ( !empty($result) ) {
				$html = '<div class="property-section property-yelp-places">
						<div class="property-section-heading">
        					<h3>'.esc_html__('Yelp Nearby Places', 'apushome').'</h3>
        					<div class="yelp-logo">
								<a href="//yelp.com" target="_blank">
									<span>'.esc_html__('Powered by', 'apushome').'</span>
									<img src="' . get_template_directory_uri() . '/images/yelp-logo.png" alt="">
								</a>
							</div>
        				</div>
        				<div class="property-section-content">'.$result.'</div>
        			</div>';

    			$return = array( 'status' => 'success', 'html' => $html );
			}
		}
	}

	if ( empty($return) ) {
		$return = array( 'status' => 'error', 'html' => esc_html__('do not have yelp', 'apushome') );
	}
	echo json_encode( $return );
	exit();
}

function apushome_get_yelp_star_img($star) {
	switch ($star) {
		case '1':
		case '2':
		case '3':
		case '4':
		case '5':
			$class = 'regular_'.$star.'.png';
			break;
		case '1.5':
			$class = 'regular_1_half.png';
			break;
		case '2.5':
			$class = 'regular_2_half.png';
			break;
		case '3.5':
			$class = 'regular_3_half.png';
			break;
		case '4.5':
			$class = 'regular_4_half.png';
			break;
		default:
			$class = 'regular_0.png';
			break;
	}
	return apply_filters( 'apushome_get_yelp_star_img', $class, $star );
}

function apushome_get_yelp_categories() {
    return apply_filters( 'apushome_get_yelp_categories', array(
        'food' => esc_html__('Food', 'apushome'),
        'nightlife' => esc_html__('Nightlife', 'apushome'),
        'restaurants' => esc_html__('Restaurants', 'apushome'),
        'shopping' => esc_html__('Shopping', 'apushome'),
        'active-life' => esc_html__('Active Life', 'apushome'),
        'arts-entertainment' => esc_html__('Arts & Entertainment', 'apushome'),
        'automotive' => esc_html__('Automotive', 'apushome'),
        'beauty-spas' => esc_html__('Beauty & Spas', 'apushome'),
        'education' => esc_html__('Education', 'apushome'),
        'event-planning-services' => esc_html__('Event Planning & Services', 'apushome'),
        'health-medical' => esc_html__('Health & Medical', 'apushome'),
        'home-services' => esc_html__('Home Services', 'apushome'),
        'local-services' => esc_html__('Local Services', 'apushome'),
        'financial-services' => esc_html__('Financial Services', 'apushome'),
        'hotels-travel' => esc_html__('Hotels & Travel', 'apushome'),
        'local-flavor' => esc_html__('Local Flavor', 'apushome'),
        'mass-media' => esc_html__('Mass Media', 'apushome'),
        'pets' => esc_html__('Pets', 'apushome'),
        'professional-services' => esc_html__('Professional Services', 'apushome'),
        'public-services-govt' => esc_html__('Public Services & Government', 'apushome'),
        'real-estate' => esc_html__('Real Estate', 'apushome'),
        'religious-organizations' => esc_html__('Religious Organizations', 'apushome'),
    ));
}

add_action( 'wp_ajax_apushome_get_walk_score', 'apushome_get_walk_score' );
add_action( 'wp_ajax_nopriv_apushome_get_walk_score', 'apushome_get_walk_score' );
function apushome_get_walk_score() {
	$return = array();
	if ( isset($_POST['id']) ) {
		$property_id = (int)$_POST['id'];
		$walkscore_api_key = apushome_get_config('api_settings_walk_score_api_key', '');
		$map_location = get_post_meta( $property_id, REALIA_PROPERTY_PREFIX . 'map_location', true );

		if ( $walkscore_api_key != '' && ! empty( $map_location ) && 2 == count( $map_location ) ) {

			$result = Realia_Template_Loader::load( 'single/walk_score-content', array(
				'property_id' => $property_id,
				'walkscore_api_key' => $walkscore_api_key,
				'map_location' => $map_location,
			) );
			$html = '';
			$result = trim($result);
			if ( !empty($result) ) {

				$html = '<div class="property-section property-walk-score">
						<div class="property-section-heading">
        					<h3>'.esc_html__('Walk Score', 'apushome').'</h3>
        					<div class="walkscore-logo">
				                <a href="https://www.walkscore.com" target="_blank">
				                    <img src="//cdn.walk.sc/images/api-logo.png" alt="'.esc_html__('Walk Scores', 'apushome').'">
				                </a>
				            </div>
        				</div>
        				<div class="property-section-content">'.$result.'</div>
        			</div>';

    			$return = array( 'status' => 'success', 'html' => $html );
			}
		}
	}
	if ( empty($return) ) {
		$return = array( 'status' => 'error', 'html' => esc_html__('do not have walk score', 'apushome') );
	}

	echo json_encode( $return );
	exit();
}

function apushome_get_yelp_access_token() {
    $yelp_client_id = isset($_POST['yelp_id']) ? $_POST['yelp_id'] : '';
    $yelp_secret_id = isset($_POST['yelp_secret']) ? $_POST['yelp_secret'] : '';
    $post_data = array(
        'client_id' => urlencode($yelp_client_id),
        'client_secret' => urlencode($yelp_secret_id),
    );

    $options = array(
        'http' => array(
            'header' => "Content-type: application/x-www-form-urlencoded\r\n",
            'method' => 'POST',
            'content' => http_build_query($post_data),
        )
    );

    $context = stream_context_create($options);
    $yelp_data = apushome_realia_get_file_contents('https://api.yelp.com/oauth2/token', false, $context);

    $yelp_data = json_decode($yelp_data, true);

    $token = isset($yelp_data['access_token']) ? $yelp_data['access_token'] : '';
    echo json_encode(array( 'token' => $token ));
    die;
}
add_action('wp_ajax_apushome_get_yelp_access_token', 'apushome_get_yelp_access_token');

function apushome_realia_get_file_contents($url, $use_include_path, $context) {
	if ( function_exists('apus_framework_get_file_contents') ) {
		return apus_framework_get_file_contents($url, $use_include_path, $context);
	}
	return array();
}

// package custom field
function apushome_realia_package_support() {
	add_post_type_support( 'package', 'editor' );
}
add_action( 'init', 'apushome_realia_package_support' );

// track property view
function apushome_track_property_view() {
    if ( ! is_singular( 'property' ) ) {
        return;
    }
    global $post;

    if ( empty( $_COOKIE['apushome_recently_viewed'] ) )
        $viewed_properties = array();
    else
        $viewed_properties = (array) explode( '|', $_COOKIE['apushome_recently_viewed'] );

    if ( ! in_array( $post->ID, $viewed_properties ) ) {
        $viewed_properties[] = $post->ID;
    }

    if ( sizeof( $viewed_properties ) > 15 ) {
        array_shift( $viewed_properties );
    }
    // Store for session only
    setcookie( 'apushome_recently_viewed', implode( '|', $viewed_properties ) , time()+3600*24*10, '/' );
    $_COOKIE['apushome_recently_viewed'] = implode( '|', $viewed_properties );
}
add_action( 'template_redirect', 'apushome_track_property_view', 20 );


if ( !function_exists('apushome_get_page_idx_layout_configs') ) {
	function apushome_get_page_idx_layout_configs() {
		$page = 'archive';
		if ( is_singular( 'post' ) ) {
            $page = 'single';
        }
		$left = apushome_get_config('page_idx_left_sidebar');
		$right = apushome_get_config('page_idx_right_sidebar');

		switch ( apushome_get_config('page_idx_layout') ) {
		 	case 'left-main':
		 		$configs['left'] = array( 'sidebar' => $left, 'class' => 'col-md-4 col-sm-12 col-xs-12'  );
		 		$configs['main'] = array( 'class' => 'col-md-8 col-sm-12 col-xs-12 pull-right' );
		 		break;
		 	case 'main-right':
		 		$configs['right'] = array( 'sidebar' => $right,  'class' => 'col-md-4 col-sm-12 col-xs-12 pull-right' ); 
		 		$configs['main'] = array( 'class' => 'col-md-8 col-sm-12 col-xs-12' );
		 		break;
	 		case 'main':
	 			$configs['main'] = array( 'class' => 'col-md-12 col-sm-12 col-xs-12' );
	 			break;
 			case 'left-main-right':
 				$configs['left'] = array( 'sidebar' => $left,  'class' => 'col-md-3 col-sm-12 col-xs-12'  );
		 		$configs['right'] = array( 'sidebar' => $right, 'class' => 'col-md-3 col-sm-12 col-xs-12' ); 
		 		$configs['main'] = array( 'class' => 'col-md-6 col-sm-12 col-xs-12' );
 				break;
		 	default:
		 		$configs['main'] = array( 'class' => 'col-md-12 col-sm-12 col-xs-12' );
		 		break;
		}

		return $configs; 
	}
}

function apushome_realia_post_thumbnail($property, $thumb = 'full') {
	$html = '';
	if ( has_post_thumbnail( $property ) ) {
		if ( apushome_get_config('image_lazy_loading') ) {
			$product_thumbnail_id = get_post_thumbnail_id( $property->ID );
	        $product_thumbnail = wp_get_attachment_image_src( $product_thumbnail_id, $thumb );
	        $placeholder_image = apushome_create_placeholder(array($product_thumbnail[1],$product_thumbnail[2]));
	        $html .= '<div class="image-wrapper">';
	        $html .= '<img src="' . trim( $placeholder_image ) . '" data-src="' . esc_url( $product_thumbnail[0] ) . '" width="' . esc_attr( $product_thumbnail[1] ) . '" height="' . esc_attr( $product_thumbnail[2] ) . '" alt="' . esc_attr( get_the_title() ) . '" class="attachment-'.esc_attr($thumb).' unveil-image" />';
	        $html .= '</div>';
	    } else {
			$html .= get_the_post_thumbnail( $property->ID, $thumb, array( 'alt' => $property->post_title ) );
		}
	}

	echo trim($html);
}

function apushome_realia_scripts() {
	// google map
	$browser_key = get_theme_mod( 'realia_general_google_browser_key' );
	$key = empty( $browser_key ) ? '' : 'key='. $browser_key;
	wp_enqueue_script('google-maps', '//maps.googleapis.com/maps/api/js?libraries=places,weather,geometry,visualization,places,drawing&language='.get_locale().'&'.$key, array('jquery'), '1.0', false);
	wp_dequeue_script('jquery-google-map');
	wp_enqueue_script('jquery-google-map-custom', get_template_directory_uri() . '/js/maps/jquery-google-map-custom.js', array('jquery'), '1.2', false);
	wp_enqueue_script('apushome-map-script', get_template_directory_uri() . '/js/maps/script.js', array('jquery'), '1.0', false);
}
add_action( 'wp_enqueue_scripts', 'apushome_realia_scripts', 99 );

function apushome_realia_contract_label($property_id) {
	$contract = get_post_meta( $property_id, REALIA_PROPERTY_PREFIX . 'contract', true );
	$labels = Realia_Post_Type_Property::contract_options();
	if ( !empty($contract) ) {
		if ( isset($labels[$contract]) ) {
			?>
			<span class="property-badge property-badge-contract"><?php echo trim($labels[$contract]); ?></span>
			<?php
		} else {
			?>
			<span class="property-badge property-badge-contract"><?php echo trim($contract); ?></span>
			<?php
		}
	}
}

function apushome_child_add_tax_to_api() {
	$tax = get_taxonomy( 'statuses' ); $tax->show_in_rest = true;
	$tax = get_taxonomy( 'property_types' ); $tax->show_in_rest = true;
	$tax = get_taxonomy( 'materials' ); $tax->show_in_rest = true;
	$tax = get_taxonomy( 'locations' ); $tax->show_in_rest = true;
	$tax = get_taxonomy( 'amenities' ); $tax->show_in_rest = true;
}
add_action( 'init', 'apushome_child_add_tax_to_api', 30 );