<?php

if( in_array( 'js_composer/js_composer.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) && function_exists('vc_map') ) {
	if ( !function_exists('apushome_load_realia_element')) {

		function apushome_load_realia_element() {
			$layouts = array(
				esc_html__('Grid', 'apushome') => 'grid',
				esc_html__('Carousel', 'apushome') => 'carousel',
				esc_html__('Special', 'apushome') => 'special',
			);
			$contracts = array(
	            esc_html__( 'All', 'apushome' ) => '',
	            esc_html__( 'Rent', 'apushome' ) => 'rent',
	            esc_html__( 'Sale', 'apushome' ) => 'sale',
	        );
	        $orderbys = array(
	        	esc_html__( 'Latest', 'apushome' ) => 'latest',
	            esc_html__( 'Featured', 'apushome' ) => 'featured',
	            esc_html__( 'Sticky', 'apushome' ) => 'sticky',
	            esc_html__( 'Reduced', 'apushome' ) => 'reduced',
	        );
			vc_map( array(
				'name' => esc_html__( 'Apus Properties', 'apushome' ),
				'base' => 'apus_properties',
				'icon' => 'icon-wpb-news-12',
				"category" => esc_html__('Apus Properties', 'apushome'),
				'description' => esc_html__( 'Show Properties in front-end', 'apushome' ),
				'params' => array(
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Title', 'apushome' ),
						'param_name' => 'title'
					),
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Number Properties', 'apushome' ),
						'param_name' => 'number',
						"value" => 4
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Get Properties By", 'apushome'),
						"param_name" => "orderby",
						"value" => $orderbys
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Property Contracts", 'apushome'),
						"param_name" => "contract",
						"value" => $contracts
					),
					array(
					    'type' => 'autocomplete',
					    'heading' => esc_html__( 'Property Types', 'apushome' ),
					    'param_name' => 'types',
					    "admin_label" => true,
					    'description' => esc_html__( 'Choose types if you want to show properties of them', 'apushome' ),
					    'settings' => array(
					     	'multiple' => true,
					     	'unique_values' => true
					    ),
				   	),
				   	array(
					    'type' => 'autocomplete',
					    'heading' => esc_html__( 'Property Statuses', 'apushome' ),
					    'param_name' => 'statuses',
					    "admin_label" => true,
					    'description' => esc_html__( 'Choose Statuses if you want to show properties of them', 'apushome' ),
					    'settings' => array(
					     	'multiple' => true,
					     	'unique_values' => true
					    ),
				   	),
				   	array(
					    'type' => 'autocomplete',
					    'heading' => esc_html__( 'Property Locations', 'apushome' ),
					    'param_name' => 'locations',
					    "admin_label" => true,
					    'description' => esc_html__( 'Choose Locations if you want to show properties of them', 'apushome' ),
					    'settings' => array(
					     	'multiple' => true,
					     	'unique_values' => true
					    ),
				   	),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Layout Type", 'apushome'),
						"param_name" => "layout_type",
						"value" => $layouts
					),
					array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Columns','apushome'),
		                "param_name" => 'columns',
		                "value" => array(1,2,3,4,5,6),
		                'dependency' => array(
							'element' => 'layout_type',
							'value' => array('grid', 'carousel'),
						),
		            ),
		            array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Item Style','apushome'),
		                "param_name" => 'item_style',
		                "value" => array(
		                	esc_html__('Grid Style','apushome') => '',
		                	esc_html__('List Style','apushome') => 'list',
		                	esc_html__('List Style 1','apushome') => 'list1',
	                	),
	                	'dependency' => array(
							'element' => 'layout_type',
							'value' => array('grid', 'carousel'),
						),
		            ),
					array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Navigator Position','apushome'),
		                "param_name" => 'position',
		                "value" => array(
		                	esc_html__('Bottom','apushome') => '',
		                	esc_html__('Top','apushome') => 'top',
	                	),
	                	'dependency' => array(
							'element' => 'layout_type',
							'value' => 'carousel',
						),
		            ),
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Extra class name', 'apushome' ),
						'param_name' => 'el_class',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apushome' )
					)
				)
			) );

			$property_types = array();
			if ( is_admin() ) {
				$property_types = apushome_get_taxs( 'property_types' );
			}
			vc_map( array(
				'name' => esc_html__( 'Apus Property Type Tabs', 'apushome' ),
				'base' => 'apus_property_type_tabs',
				'icon' => 'icon-wpb-news-12',
				"category" => esc_html__('Apus Properties', 'apushome'),
				'description' => esc_html__( 'Show Properties Type Tabs in front-end', 'apushome' ),
				'params' => array(
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Title', 'apushome' ),
						'param_name' => 'title'
					),
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Number Property Types', 'apushome' ),
						'param_name' => 'number_types',
						"value" => 8
					),
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Number Properties', 'apushome' ),
						'param_name' => 'number',
						"value" => 4
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Get Properties By", 'apushome'),
						"param_name" => "orderby",
						"value" => $orderbys
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Property Contracts", 'apushome'),
						"param_name" => "contract",
						"value" => $contracts
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Layout Type", 'apushome'),
						"param_name" => "layout_type",
						"value" => array(
							esc_html__('Grid', 'apushome') => 'grid',
							esc_html__('Carousel', 'apushome') => 'carousel',
						)
					),
					array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Columns','apushome'),
		                "param_name" => 'columns',
		                "value" => array(1,2,3,4,5,6),
		            ),
		            array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Extra class name', 'apushome' ),
						'param_name' => 'el_class',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apushome' )
					)
				)
			) );

			$property_locations = array();
			if ( is_admin() ) {
				$property_locations = apushome_get_taxs( 'locations' );
			}
			vc_map( array(
				'name' => esc_html__( 'Apus Property Location Tabs', 'apushome' ),
				'base' => 'apus_property_location_tabs',
				'icon' => 'icon-wpb-news-12',
				"category" => esc_html__('Apus Properties', 'apushome'),
				'description' => esc_html__( 'Show Properties Type Location in front-end', 'apushome' ),
				'params' => array(
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Title', 'apushome' ),
						'param_name' => 'title'
					),
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Number Property Locations', 'apushome' ),
						'param_name' => 'number_locations',
						"value" => 8
					),
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Number Properties', 'apushome' ),
						'param_name' => 'number',
						"value" => 4
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Get Properties By", 'apushome'),
						"param_name" => "orderby",
						"value" => $orderbys
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Property Contracts", 'apushome'),
						"param_name" => "contract",
						"value" => $contracts
					),
		            array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Extra class name', 'apushome' ),
						'param_name' => 'el_class',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apushome' )
					)
				)
			) );

			vc_map( array(
				'name' => esc_html__( 'Apus Agents', 'apushome' ),
				'base' => 'apus_agents',
				'icon' => 'icon-wpb-news-12',
				"category" => esc_html__('Apus Properties', 'apushome'),
				'description' => esc_html__( 'Show Agents in front-end', 'apushome' ),
				'params' => array(
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Number Agents', 'apushome' ),
						'param_name' => 'number',
						"value" => 4
					),
					array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Columns','apushome'),
		                "param_name" => 'columns',
		                "value" => array(1,2,3,4,5,6),
		            ),
		            array(
						"type" => "dropdown",
						"heading" => esc_html__("Layout Type", 'apushome'),
						"param_name" => "layout_type",
						"value" => array(
							esc_html__('Grid', 'apushome') => 'grid',
							esc_html__('Carousel', 'apushome') => 'carousel',
						)
					),
		            array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Extra class name', 'apushome' ),
						'param_name' => 'el_class',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apushome' )
					)
				)
			) );

			vc_map( array(
				'name' => esc_html__( 'Apus Properties Slider', 'apushome' ),
				'base' => 'apus_properties_slider',
				'icon' => 'icon-wpb-news-12',
				"category" => esc_html__('Apus Properties', 'apushome'),
				'description' => esc_html__( 'Show Properties Slider in front-end', 'apushome' ),
				'params' => array(
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Number Properties', 'apushome' ),
						'param_name' => 'number',
						"value" => 3
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Get Properties By", 'apushome'),
						"param_name" => "orderby",
						"value" => $orderbys
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Property Contracts", 'apushome'),
						"param_name" => "contract",
						"value" => $contracts
					),
					array(
					    'type' => 'autocomplete',
					    'heading' => esc_html__( 'Property Types', 'apushome' ),
					    'param_name' => 'types',
					    "admin_label" => true,
					    'description' => esc_html__( 'Choose types if you want to show properties of them', 'apushome' ),
					    'settings' => array(
					     	'multiple' => true,
					     	'unique_values' => true
					    ),
				   	),
				   	array(
					    'type' => 'autocomplete',
					    'heading' => esc_html__( 'Property Statuses', 'apushome' ),
					    'param_name' => 'statuses',
					    "admin_label" => true,
					    'description' => esc_html__( 'Choose Statuses if you want to show properties of them', 'apushome' ),
					    'settings' => array(
					     	'multiple' => true,
					     	'unique_values' => true
					    ),
				   	),
				   	array(
					    'type' => 'autocomplete',
					    'heading' => esc_html__( 'Property Locations', 'apushome' ),
					    'param_name' => 'locations',
					    "admin_label" => true,
					    'description' => esc_html__( 'Choose Locations if you want to show properties of them', 'apushome' ),
					    'settings' => array(
					     	'multiple' => true,
					     	'unique_values' => true
					    ),
				   	),
		            array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Extra class name', 'apushome' ),
						'param_name' => 'el_class',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apushome' )
					)
				)
			) );
			
			vc_map( array(
				'name' => esc_html__( 'Apus Properties Map', 'apushome' ),
				'base' => 'apus_properties_map',
				'icon' => 'icon-wpb-news-12',
				"category" => esc_html__('Apus Properties', 'apushome'),
				'description' => esc_html__( 'Show Properties Map in front-end', 'apushome' ),
				'params' => array(
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Number Properties', 'apushome' ),
						'param_name' => 'number',
						"value" => 3
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Get Properties By", 'apushome'),
						"param_name" => "orderby",
						"value" => $orderbys
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Property Contracts", 'apushome'),
						"param_name" => "contract",
						"value" => $contracts
					),
					array(
					    'type' => 'autocomplete',
					    'heading' => esc_html__( 'Property Types', 'apushome' ),
					    'param_name' => 'types',
					    "admin_label" => true,
					    'description' => esc_html__( 'Choose types if you want to show properties of them', 'apushome' ),
					    'settings' => array(
					     	'multiple' => true,
					     	'unique_values' => true
					    ),
				   	),
				   	array(
					    'type' => 'autocomplete',
					    'heading' => esc_html__( 'Property Statuses', 'apushome' ),
					    'param_name' => 'statuses',
					    "admin_label" => true,
					    'description' => esc_html__( 'Choose Statuses if you want to show properties of them', 'apushome' ),
					    'settings' => array(
					     	'multiple' => true,
					     	'unique_values' => true
					    ),
				   	),
				   	array(
					    'type' => 'autocomplete',
					    'heading' => esc_html__( 'Property Locations', 'apushome' ),
					    'param_name' => 'locations',
					    "admin_label" => true,
					    'description' => esc_html__( 'Choose Locations if you want to show properties of them', 'apushome' ),
					    'settings' => array(
					     	'multiple' => true,
					     	'unique_values' => true
					    ),
				   	),
				   	array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Height Map Properties', 'apushome' ),
						'param_name' => 'height',
					),
		            array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Extra class name', 'apushome' ),
						'param_name' => 'el_class',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apushome' )
					)
				)
			) );

			vc_map( array(
				'name' => esc_html__( 'Apus Location Banner', 'apushome' ),
				'base' => 'apus_location_banner',
				'icon' => 'icon-wpb-news-12',
				"category" => esc_html__('Apus Properties', 'apushome'),
				'description' => esc_html__( 'Show Location Banner in front-end', 'apushome' ),
				'params' => array(
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Title', 'apushome' ),
						'param_name' => 'title'
					),
					array(
						"type" => "attach_image",
						"heading"	=> esc_html__('Image', 'apushome' ),
						"param_name" => "image",
					),
				   	array(
					    'type' => 'autocomplete',
					    'heading' => esc_html__( 'Choose Property Location', 'apushome' ),
					    'param_name' => 'location',
					    "admin_label" => true,
					    'description' => esc_html__( 'Choose Location', 'apushome' ),
					    'settings' => array(
					     	'multiple' => false,
					     	'unique_values' => true
					    ),
				   	),
				   	array(
						"type" => "dropdown",
						"heading" => esc_html__("Style", 'apushome'),
						"param_name" => "style",
						"value" => array(
							esc_html__('Style 1', 'apushome') => 'style1',
							esc_html__('Style 2', 'apushome') => 'style2',
						)
					),
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Extra class name', 'apushome' ),
						'param_name' => 'el_class',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apushome' )
					)
				)
			) );

			vc_map( array(
				'name'        => esc_html__( 'Apus Property Favorites','apushome'),
				'base'        => 'apus_property_favorites',
				"category" => esc_html__('Apus Properties', 'apushome'),
				'description' => esc_html__( 'Display property favorites form in frontend', 'apushome' ),
				"params"      => array(
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Extra class name', 'apushome' ),
						'param_name' => 'el_class',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apushome' )
					)
				),
			));

			vc_map( array(
				'name'        => esc_html__( 'Apus Search Page Saved','apushome'),
				'base'        => 'apus_search_page_saved',
				"category" => esc_html__('Apus Properties', 'apushome'),
				'description' => esc_html__( 'Display property favorites form in frontend', 'apushome' ),
				"params"      => array(
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Extra class name', 'apushome' ),
						'param_name' => 'el_class',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apushome' )
					)
				),
			));

			vc_map( array(
				'name'        => esc_html__( 'Apus Properties Compare','apushome'),
				'base'        => 'apus_properties_compare',
				"category" => esc_html__('Apus Properties', 'apushome'),
				'description' => esc_html__( 'Display Properties Compare form in frontend', 'apushome' ),
				"params"      => array(
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Extra class name', 'apushome' ),
						'param_name' => 'el_class',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apushome' )
					)
				),
			));
			$packages = array();
			if ( is_admin() ) {
				$agrs = array(
					'post_type' => 'package',
					'posts_per_page' => -1,
					'post_status' => 'publish'
				);
				$posts = get_posts($agrs);
				foreach ($posts as $post) {
					$packages[$post->post_name] = $post->post_title;
				}
			}

			vc_map( array(
				'name'        => esc_html__( 'Apus Package Pricing','apushome'),
				'base'        => 'apus_package',
				"category" => esc_html__('Apus Properties', 'apushome'),
				'description' => esc_html__( 'Display Properties Compare form in frontend', 'apushome' ),
				"params"      => array(
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Choose a package", 'apushome'),
						"param_name" => "package",
						"value" => $packages
					),
					array(
						'type' => 'checkbox',
						'heading' => esc_html__( 'Is Featured ?', 'apushome' ),
						'param_name' => 'is_featured',
						'value' => array( esc_html__( 'Yes', 'apushome' ) => 'yes' ),
					),
					array(
		                "type" => "textfield",
		                "heading" => esc_html__('Label', 'apushome'),
		                "param_name" => 'label',
	                	'dependency' => array(
							'element' => 'is_featured',
							'not_empty' => true,
						),
		            ),
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Extra class name', 'apushome' ),
						'param_name' => 'el_class',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apushome' )
					)
				),
			));
		}
	}
	add_action( 'vc_after_set_mode', 'apushome_load_realia_element', 99 );

	class WPBakeryShortCode_apus_properties extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_property_type_tabs extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_property_location_tabs extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_agents extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_properties_slider extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_properties_map extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_location_banner extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_property_favorites extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_search_page_saved extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_properties_compare extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_package extends WPBakeryShortCode {}
}