<?php
if ( function_exists('vc_map') && class_exists('WPBakeryShortCode') ) {
	if ( !function_exists('apushome_load_load_theme_element')) {
		function apushome_load_load_theme_element() {
			$columns = array(1,2,3,4,6);
			// Heading Text Block
			vc_map( array(
				'name'        => esc_html__( 'Apus Widget Heading','apushome'),
				'base'        => 'apus_title_heading',
				"class"       => "",
				"category" => esc_html__('Apus Elements', 'apushome'),
				'description' => esc_html__( 'Create title for one Widget', 'apushome' ),
				"params"      => array(
					array(
						'type' => 'textarea_html',
						'heading' => esc_html__( 'Widget title', 'apushome' ),
						'param_name' => 'content',
						'description' => esc_html__( 'Enter heading title.', 'apushome' ),
						"admin_label" => true,
					),
					array(
						"type" => "textarea",
						'heading' => esc_html__( 'Description', 'apushome' ),
						"param_name" => "descript",
						"value" => '',
						'description' => esc_html__( 'Enter description for title.', 'apushome' )
				    ),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Style", 'apushome'),
						"param_name" => "style",
						'value' 	=> array(
							esc_html__('Style Default', 'apushome') => 'default', 
							esc_html__('Style Default White', 'apushome') => 'default_white', 
							esc_html__('Style Small', 'apushome') => 'small', 
							esc_html__('White Italic', 'apushome') => 'italic', 
							esc_html__('Style Center', 'apushome') => 'style_center', 
							esc_html__('Style Center Big', 'apushome') => 'style_center_big', 
						),
						'std' => ''
					),
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Extra class name', 'apushome' ),
						'param_name' => 'el_class',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apushome' )
					)
				),
			));

			// calltoaction
			vc_map( array(
				'name'        => esc_html__( 'Apus Widget Call To Action','apushome'),
				'base'        => 'apus_call_action',
				"class"       => "",
				"category" => esc_html__('Apus Elements', 'apushome'),
				'description' => esc_html__( 'Create title for one Widget', 'apushome' ),
				"params"      => array(
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Widget title', 'apushome' ),
						'param_name' => 'title',
						'value'       => esc_html__( 'Title', 'apushome' ),
						'description' => esc_html__( 'Enter heading title.', 'apushome' ),
						"admin_label" => true
					),
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Sub title', 'apushome' ),
						'param_name' => 'subtitle',
						'description' => esc_html__( 'Enter Sub title.', 'apushome' ),
						"admin_label" => true
					),
					array(
						"type" => "textarea_html",
						'heading' => esc_html__( 'Description', 'apushome' ),
						"param_name" => "content",
						"value" => '',
						'description' => esc_html__( 'Enter description for title.', 'apushome' )
				    ),

				    array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Text Button 1', 'apushome' ),
						'param_name' => 'textbutton1',
						'description' => esc_html__( 'Text Button', 'apushome' ),
						"admin_label" => true
					),

					array(
						'type' => 'textfield',
						'heading' => esc_html__( ' Link Button 1', 'apushome' ),
						'param_name' => 'linkbutton1',
						'description' => esc_html__( 'Link Button 1', 'apushome' ),
						"admin_label" => true
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Button Style", 'apushome'),
						"param_name" => "buttons1",
						'value' 	=> array(
							esc_html__('Default ', 'apushome') => 'btn-default ', 
							esc_html__('Primary ', 'apushome') => 'btn-primary ', 
							esc_html__('Success ', 'apushome') => 'btn-success radius-0 ', 
							esc_html__('Info ', 'apushome') => 'btn-info ', 
							esc_html__('Warning ', 'apushome') => 'btn-warning ', 
							esc_html__('Theme Color ', 'apushome') => 'btn-theme',
							esc_html__('Theme Gradient Color ', 'apushome') => 'btn-theme btn-gradient',
							esc_html__('Second Color ', 'apushome') => 'btn-theme-second',
							esc_html__('Danger ', 'apushome') => 'btn-danger ', 
							esc_html__('Pink ', 'apushome') => 'btn-pink ', 
							esc_html__('White Gradient ', 'apushome') => 'btn-white btn-gradient', 
							esc_html__('Primary Outline', 'apushome') => 'btn-primary btn-outline', 
							esc_html__('White Outline ', 'apushome') => 'btn-white btn-outline ',
							esc_html__('Theme Outline ', 'apushome') => 'btn-theme btn-outline ',
						),
						'std' => ''
					),

					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Text Button 2', 'apushome' ),
						'param_name' => 'textbutton2',
						'description' => esc_html__( 'Text Button', 'apushome' ),
						"admin_label" => true
					),

					array(
						'type' => 'textfield',
						'heading' => esc_html__( ' Link Button 2', 'apushome' ),
						'param_name' => 'linkbutton2',
						'description' => esc_html__( 'Link Button 2', 'apushome' ),
						"admin_label" => true
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Button Style", 'apushome'),
						"param_name" => "buttons2",
						'value' 	=> array(
							esc_html__('Default ', 'apushome') => 'btn-default ', 
							esc_html__('Primary ', 'apushome') => 'btn-primary ', 
							esc_html__('Success ', 'apushome') => 'btn-success radius-0 ', 
							esc_html__('Info ', 'apushome') => 'btn-info ', 
							esc_html__('Warning ', 'apushome') => 'btn-warning ', 
							esc_html__('Theme Color ', 'apushome') => 'btn-theme',
							esc_html__('Second Color ', 'apushome') => 'btn-theme-second',
							esc_html__('Danger ', 'apushome') => 'btn-danger ', 
							esc_html__('Pink ', 'apushome') => 'btn-pink ', 
							esc_html__('White Gradient ', 'apushome') => 'btn-white btn-gradient',
							esc_html__('Primary Outline', 'apushome') => 'btn-primary btn-outline', 
							esc_html__('White Outline ', 'apushome') => 'btn-white btn-outline ',
							esc_html__('Theme Outline ', 'apushome') => 'btn-theme btn-outline ',
						),
						'std' => ''
					),
					
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Style", 'apushome'),
						"param_name" => "style",
						'value' 	=> array(
							esc_html__('Default', 'apushome') => 'default',
							esc_html__('Center', 'apushome') => 'default center',
						),
						'std' => ''
					),

					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Extra class name', 'apushome' ),
						'param_name' => 'el_class',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apushome' )
					)
				),
			));
			
			// Apus Counter
			vc_map( array(
			    "name" => esc_html__("Apus Counter",'apushome'),
			    "base" => "apus_counter",
			    "class" => "",
			    "description"=> esc_html__('Counting number with your term', 'apushome'),
			    "category" => esc_html__('Apus Elements', 'apushome'),
			    "params" => array(
			    	array(
						"type" => "attach_image",
						"description" => esc_html__("Image for box.", 'apushome'),
						"param_name" => "image",
						"value" => '',
						'heading'	=> esc_html__('Image', 'apushome' )
					),
			    	array(
						"type" => "textfield",
						"heading" => esc_html__("Title", 'apushome'),
						"param_name" => "title",
						"value" => '',
						"admin_label"	=> true
					),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Number", 'apushome'),
						"param_name" => "number",
						"value" => ''
					),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Sub Number", 'apushome'),
						"param_name" => "sub",
						"value" => '',
						"admin_label"	=> true
					),
					array(
						"type" => "colorpicker",
						"heading" => esc_html__("Color Title", 'apushome'),
						"param_name" => "text_color",
						'value' 	=> '',
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Style", 'apushome'),
						"param_name" => "style",
						'value' 	=> array(
							esc_html__('Default', 'apushome') => '', 
							esc_html__('Left Icon', 'apushome') => 'left_icon', 
						),
						'std' => ''
					),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Extra class name", 'apushome'),
						"param_name" => "el_class",
						"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apushome')
					)
			   	)
			));
			// Banner CountDown
			vc_map( array(
				'name'        => esc_html__( 'Apus Banner CountDown','apushome'),
				'base'        => 'apus_banner_countdown',
				"class"       => "",
				"category" => esc_html__('Apus Elements', 'apushome'),
				'description' => esc_html__( 'Show CountDown with banner', 'apushome' ),
				"params"      => array(
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Widget title', 'apushome' ),
						'param_name' => 'title',
						'value'       => esc_html__( 'Title', 'apushome' ),
						'description' => esc_html__( 'Enter heading title.', 'apushome' ),
						"admin_label" => true
					),

					array(
						"type" => "textarea",
						'heading' => esc_html__( 'Description', 'apushome' ),
						"param_name" => "descript",
						"value" => '',
						'description' => esc_html__( 'Enter description for title.', 'apushome' )
				    ),
					array(
					    'type' => 'textfield',
					    'heading' => esc_html__( 'Date Expired', 'apushome' ),
					    'param_name' => 'input_datetime'
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Style", 'apushome'),
						"param_name" => "style_widget",
						'value' 	=> array(
							esc_html__('White Center Absolute', 'apushome') => 'white_absolute', 
							esc_html__('Dark Center Absolute', 'apushome') => 'dark_absolute', 
							esc_html__('Red Center Absolute', 'apushome') => 'red_absolute', 
						),
						'std' => ''
					),
					array(
						'type' => 'textfield',
						'heading' => esc_html__( 'Extra class name', 'apushome' ),
						'param_name' => 'el_class',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apushome' )
					),
				),
			));
			// Apus Brands
			vc_map( array(
			    "name" => esc_html__("Apus Brands",'apushome'),
			    "base" => "apus_brands",
			    "class" => "",
			    "description"=> esc_html__('Display brands on front end', 'apushome'),
			    "category" => esc_html__('Apus Elements', 'apushome'),
			    "params" => array(
			    	array(
						"type" => "textfield",
						"heading" => esc_html__("Title", 'apushome'),
						"param_name" => "title",
						"value" => '',
						"admin_label"	=> true
					),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Number", 'apushome'),
						"param_name" => "number",
						"value" => ''
					),
				 	array(
						"type" => "dropdown",
						"heading" => esc_html__("Layout Type", 'apushome'),
						"param_name" => "layout_type",
						'value' 	=> array(
							esc_html__('Carousel', 'apushome') => 'carousel', 
							esc_html__('Grid', 'apushome') => 'grid'
						),
						'std' => ''
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Style Type", 'apushome'),
						"param_name" => "style",
						'value' 	=> array(
							esc_html__('Default', 'apushome') => '', 
						),
						'std' => ''
					),
					array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Columns','apushome'),
		                "param_name" => 'columns',
		                "value" => array(1,2,3,4,5,6),
		            ),
		            array(
						"type" => "dropdown",
						"heading" => esc_html__("Rows for style Carousel", 'apushome'),
						"param_name" => "rows",
						"value" => array(1,2,3),
					),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Extra class name", 'apushome'),
						"param_name" => "el_class",
						"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apushome')
					)
			   	)
			));
			
			vc_map( array(
			    "name" => esc_html__("Apus Socials link",'apushome'),
			    "base" => "apus_socials_link",
			    "description"=> esc_html__('Show socials link', 'apushome'),
			    "category" => esc_html__('Apus Elements', 'apushome'),
			    "params" => array(
			    	array(
						"type" => "textfield",
						"heading" => esc_html__("Title", 'apushome'),
						"param_name" => "title",
						"value" => '',
						"admin_label"	=> true
					),
					array(
						"type" => "textarea",
						"heading" => esc_html__("Description", 'apushome'),
						"param_name" => "description",
						"value" => '',
					),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Facebook Page URL", 'apushome'),
						"param_name" => "facebook_url",
						"value" => '',
						"admin_label"	=> true
					),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Twitter Page URL", 'apushome'),
						"param_name" => "twitter_url",
						"value" => '',
						"admin_label"	=> true
					),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Youtube Page URL", 'apushome'),
						"param_name" => "youtube_url",
						"value" => '',
						"admin_label"	=> true
					),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Pinterest Page URL", 'apushome'),
						"param_name" => "pinterest_url",
						"value" => '',
						"admin_label"	=> true
					),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Google Plus Page URL", 'apushome'),
						"param_name" => "google-plus_url",
						"value" => '',
						"admin_label"	=> true
					),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Instagram Page URL", 'apushome'),
						"param_name" => "instagram_url",
						"value" => '',
						"admin_label"	=> true
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Align", 'apushome'),
						"param_name" => "align",
						'value' 	=> array(
							esc_html__('Left', 'apushome') => '', 
							esc_html__('Right', 'apushome') => 'right'
						),
						'std' => ''
					),
					array(
						"type" => "dropdown",
						"heading" => esc_html__("Style", 'apushome'),
						"param_name" => "style",
						'value' 	=> array(
							esc_html__('Small', 'apushome') => '', 
							esc_html__('Large', 'apushome') => 'large',
							esc_html__('Full Text', 'apushome') => 'fulltext',
						),
						'std' => ''
					),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Extra class name", 'apushome'),
						"param_name" => "el_class",
						"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apushome')
					)
			   	)
			));
			// newsletter
			vc_map( array(
			    "name" => esc_html__("Apus Newsletter",'apushome'),
			    "base" => "apus_newsletter",
			    "class" => "",
			    "description"=> esc_html__('Show newsletter form', 'apushome'),
			    "category" => esc_html__('Apus Elements', 'apushome'),
			    "params" => array(
			    	array(
						"type" => "textfield",
						"heading" => esc_html__("Sub Title", 'apushome'),
						"param_name" => "sub_title",
						"value" => '',
						"admin_label"	=> true
					),
			    	array(
						"type" => "textfield",
						"heading" => esc_html__("Title", 'apushome'),
						"param_name" => "title",
						"value" => '',
						"admin_label"	=> true
					),
					array(
						"type" => "textarea",
						"heading" => esc_html__("Description", 'apushome'),
						"param_name" => "description",
						"value" => '',
					),
					array(
		                'type' => 'dropdown',
		                'heading' => esc_html__( 'Style', 'apushome' ),
		                'param_name' => 'style',
		                'value' => array(
		                    esc_html__( 'Style 1', 'apushome' ) 	=> 'style1',
		                    esc_html__( 'Style 2', 'apushome' ) 	=> 'style2',
		                    esc_html__( 'Style 3', 'apushome' ) 	=> 'style3',
		                    esc_html__( 'Style 4', 'apushome' ) 	=> 'style4',
		                )
		            ),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Extra class name", 'apushome'),
						"param_name" => "el_class",
						"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apushome')
					)
			   	)
			));
			// google map
			$map_styles = array( esc_html__('Choose a map style', 'apushome') => '' );
			if ( is_admin() && class_exists('Apushome_Google_Maps_Styles') ) {
				$styles = Apushome_Google_Maps_Styles::styles();
				foreach ($styles as $style) {
					$map_styles[$style['title']] = $style['slug'];
				}
			}
			vc_map( array(
			    "name" => esc_html__("Apus Google Map",'apushome'),
			    "base" => "apus_googlemap",
			    "description" => esc_html__('Diplay Google Map', 'apushome'),
			    "category" => esc_html__('Apus Elements', 'apushome'),
			    "params" => array(
			    	array(
						"type" => "textfield",
						"heading" => esc_html__("Title", 'apushome'),
						"param_name" => "title",
						"admin_label" => true,
						"value" => '',
					),
					array(
		                "type" => "textarea",
		                "class" => "",
		                "heading" => esc_html__('Description','apushome'),
		                "param_name" => "des",
		            ),
		            array(
		                'type' => 'googlemap',
		                'heading' => esc_html__( 'Location', 'apushome' ),
		                'param_name' => 'location',
		                'value' => ''
		            ),
		            array(
		                'type' => 'hidden',
		                'heading' => esc_html__( 'Latitude Longitude', 'apushome' ),
		                'param_name' => 'lat_lng',
		                'value' => '21.0173222,105.78405279999993'
		            ),
		            array(
						"type" => "textfield",
						"heading" => esc_html__("Map height", 'apushome'),
						"param_name" => "height",
						"value" => '',
					),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Map Zoom", 'apushome'),
						"param_name" => "zoom",
						"value" => '13',
					),
		            array(
		                'type' => 'dropdown',
		                'heading' => esc_html__( 'Map Type', 'apushome' ),
		                'param_name' => 'type',
		                'value' => array(
		                    esc_html__( 'roadmap', 'apushome' ) 		=> 'ROADMAP',
		                    esc_html__( 'hybrid', 'apushome' ) 	=> 'HYBRID',
		                    esc_html__( 'satellite', 'apushome' ) 	=> 'SATELLITE',
		                    esc_html__( 'terrain', 'apushome' ) 	=> 'TERRAIN',
		                )
		            ),
		            array(
						"type" => "attach_image",
						"heading" => esc_html__("Custom Marker Icon", 'apushome'),
						"param_name" => "marker_icon"
					),
					array(
		                'type' => 'dropdown',
		                'heading' => esc_html__( 'Custom Map Style', 'apushome' ),
		                'param_name' => 'map_style',
		                'value' => $map_styles
		            ),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Extra class name", 'apushome'),
						"param_name" => "el_class",
						"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apushome')
					)
			   	)
			));
			// Testimonial
			vc_map( array(
	            "name" => esc_html__("Apus Testimonials",'apushome'),
	            "base" => "apus_testimonials",
	            'description'=> esc_html__('Display Testimonials In FrontEnd', 'apushome'),
	            "class" => "",
	            "category" => esc_html__('Apus Elements', 'apushome'),
	            "params" => array(
	              	array(
						"type" => "textfield",
						"heading" => esc_html__("Title", 'apushome'),
						"param_name" => "title",
						"admin_label" => true,
						"value" => '',
					),
					array(
						"type" => "textarea",
						"heading" => esc_html__("Description", 'apushome'),
						"param_name" => "description",
						"value" => '',
					),
	              	array(
		              	"type" => "textfield",
		              	"heading" => esc_html__("Number Show", 'apushome'),
		              	"param_name" => "number",
		              	"value" => '4',
		            ),
		            array(
		              	"type" => "textfield",
		              	"heading" => esc_html__("Columns", 'apushome'),
		              	"param_name" => "columns",
		              	"value" => '1',
		            ),
		            array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Layout','apushome'),
		                "param_name" => 'style',
		                'value' 	=> array(
							esc_html__('Light ', 'apushome') => '', 
							esc_html__('Dark ', 'apushome') => 'dark',
							esc_html__('Light Left ', 'apushome') => 'light_left',
						),
						'std' => ''
		            ),
		            array(
						"type" => "attach_image",
						"heading" => esc_html__("Img Icon for style Dark", 'apushome'),
						"param_name" => "img"
					),
		            array(
						"type" => "textfield",
						"heading" => esc_html__("Extra class name", 'apushome'),
						"param_name" => "el_class",
						"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apushome')
					)
	            )
	        ));
	        // Our Team
			vc_map( array(
	            "name" => esc_html__("Apus Our Team",'apushome'),
	            "base" => "apus_ourteam",
	            'description'=> esc_html__('Display Our Team In FrontEnd', 'apushome'),
	            "class" => "",
	            "category" => esc_html__('Apus Elements', 'apushome'),
	            "params" => array(
	              	array(
						"type" => "textfield",
						"heading" => esc_html__("Title", 'apushome'),
						"param_name" => "title",
						"admin_label" => true,
						"value" => '',
					),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Sub Title", 'apushome'),
						"param_name" => "subtitle",
						"admin_label" => true,
						"value" => '',
					),
	              	array(
						'type' => 'param_group',
						'heading' => esc_html__('Members Settings', 'apushome' ),
						'param_name' => 'members',
						'description' => '',
						'value' => '',
						'params' => array(
							array(
				                "type" => "textfield",
				                "class" => "",
				                "heading" => esc_html__('Name','apushome'),
				                "param_name" => "name",
				            ),
				            array(
				                "type" => "textfield",
				                "class" => "",
				                "heading" => esc_html__('Short Description','apushome'),
				                "param_name" => "des",
				            ),
							array(
								"type" => "attach_image",
								"heading" => esc_html__("Image", 'apushome'),
								"param_name" => "image"
							),

				            array(
				                "type" => "textfield",
				                "class" => "",
				                "heading" => esc_html__('Facebook','apushome'),
				                "param_name" => "facebook",
				            ),

				            array(
				                "type" => "textfield",
				                "class" => "",
				                "heading" => esc_html__('Twitter Link','apushome'),
				                "param_name" => "twitter",
				            ),

				            array(
				                "type" => "textfield",
				                "class" => "",
				                "heading" => esc_html__('Google plus Link','apushome'),
				                "param_name" => "google",
				            ),

				            array(
				                "type" => "textfield",
				                "class" => "",
				                "heading" => esc_html__('Linkin Link','apushome'),
				                "param_name" => "linkin",
				            ),

						),
					),
					array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Columns','apushome'),
		                "param_name" => 'columns',
		                "value" => array(1,2,3,4,5,6),
		            ),
		            array(
						"type" => "textfield",
						"heading" => esc_html__("Extra class name", 'apushome'),
						"param_name" => "el_class",
						"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apushome')
					)
	            )
	        ));

	        // Gallery Images
			vc_map( array(
	            "name" => esc_html__("Apus Gallery",'apushome'),
	            "base" => "apus_gallery",
	            'description'=> esc_html__('Display Gallery In FrontEnd', 'apushome'),
	            "class" => "",
	            "category" => esc_html__('Apus Elements', 'apushome'),
	            "params" => array(
	              	array(
						"type" => "textfield",
						"heading" => esc_html__("Title", 'apushome'),
						"param_name" => "title",
						"admin_label" => true,
						"value" => '',
					),
	              	array(
						"type" => "attach_images",
						"heading" => esc_html__("Images", 'apushome'),
						"param_name" => "images"
					),
					array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Columns','apushome'),
		                "param_name" => 'columns',
		                "value" => $columns
		            ),
		            array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Row','apushome'),
		                "param_name" => 'rows',
		                "value" => array(1,2),
		            ),
		            array(
						"type" => "textarea",
						'heading' => esc_html__( 'Description', 'apushome' ),
						"param_name" => "description",
						"value" => '',
						'description' => esc_html__( 'This field is used for Style 2.', 'apushome' )
				    ),
					array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Layout','apushome'),
		                "param_name" => 'style',
		                'value' 	=> array(
							esc_html__('Default ', 'apushome') => 'default', 
							esc_html__('Small ', 'apushome') => 'small',
						),
						'std' => ''
		            ),
		            array(
						"type" => "dropdown",
						"heading" => esc_html__("Style Next and Preview", 'apushome'),
						"param_name" => "style_border",
						'value' 	=> array(
							esc_html__('Border Dasher', 'apushome') => '', 
							esc_html__('Border Solid', 'apushome') => 'solid'
						),
						'std' => ''
					),
		            array(
						"type" => "textfield",
						"heading" => esc_html__("Extra class name", 'apushome'),
						"param_name" => "el_class",
						"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apushome')
					)
	            )
	        ));
	        // Gallery Images
			vc_map( array(
	            "name" => esc_html__("Apus Video",'apushome'),
	            "base" => "apus_video",
	            'description'=> esc_html__('Display Video In FrontEnd', 'apushome'),
	            "class" => "",
	            "category" => esc_html__('Apus Elements', 'apushome'),
	            "params" => array(
	              	array(
						"type" => "textfield",
						"heading" => esc_html__("Title", 'apushome'),
						"param_name" => "title",
						"admin_label" => true,
						"value" => '',
					),
					array(
						"type" => "textarea_html",
						'heading' => esc_html__( 'Description', 'apushome' ),
						"param_name" => "content",
						"value" => '',
						'description' => esc_html__( 'Enter description for title.', 'apushome' )
				    ),
	              	array(
						"type" => "attach_image",
						"heading" => esc_html__("Icon Play Image", 'apushome'),
						"param_name" => "image"
					),
					array(
						"type" => "attach_image",
						"heading" => esc_html__("Background Image", 'apushome'),
						"param_name" => "image_bg"
					),
					array(
		                "type" => "textfield",
		                "heading" => esc_html__('Youtube Video Link','apushome'),
		                "param_name" => 'video_link'
		            ),
		            array(
						"type" => "textfield",
						"heading" => esc_html__("Extra class name", 'apushome'),
						"param_name" => "el_class",
						"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apushome')
					)
	            )
	        ));
	        // Features Box
			vc_map( array(
	            "name" => esc_html__("Apus Features Box",'apushome'),
	            "base" => "apus_features_box",
	            'description'=> esc_html__('Display Features In FrontEnd', 'apushome'),
	            "class" => "",
	            "category" => esc_html__('Apus Elements', 'apushome'),
	            "params" => array(
	            	array(
						"type" => "textfield",
						"heading" => esc_html__("Title", 'apushome'),
						"param_name" => "title",
						"admin_label" => true,
						"value" => '',
					),
					array(
						'type' => 'param_group',
						'heading' => esc_html__('Members Settings', 'apushome' ),
						'param_name' => 'items',
						'description' => '',
						'value' => '',
						'params' => array(
							array(
								"type" => "attach_image",
								"description" => esc_html__("Image for box.", 'apushome'),
								"param_name" => "image",
								"value" => '',
								'heading'	=> esc_html__('Image', 'apushome' )
							),
							array(
								"type" => "attach_image",
								"description" => esc_html__("Image Hover for Style Box hover.", 'apushome'),
								"param_name" => "image_hover",
								"value" => '',
								'heading'	=> esc_html__('Image Hover', 'apushome' )
							),
							array(
				                "type" => "textfield",
				                "class" => "",
				                "heading" => esc_html__('Title','apushome'),
				                "param_name" => "title",
				            ),
				            array(
				                "type" => "textarea",
				                "class" => "",
				                "heading" => esc_html__('Description','apushome'),
				                "param_name" => "description",
				            ),
							array(
								"type" => "textfield",
								"heading" => esc_html__("Material Design Icon and Awesome Icon", 'apushome'),
								"param_name" => "icon",
								"value" => '',
								'description' => esc_html__( 'This support display icon from Material Design and Awesome Icon, Please click', 'apushome' )
												. '<a href="' . ( is_ssl()  ? 'https' : 'http') . '://zavoloklom.github.io/material-design-iconic-font/icons.html" target="_blank">'
												. esc_html__( 'here to see the list', 'apushome' ) . '</a>'
							),
						),
					),
	             	array(
		              	"type" => "textfield",
		              	"heading" => esc_html__("Number Columns", 'apushome'),
		              	"param_name" => "number",
		              	'value' => '1',
		            ),
		           	array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Style','apushome'),
		                "param_name" => 'style',
		                'value' 	=> array(
							esc_html__('Default Box', 'apushome') => 'default', 
							esc_html__('LineTime', 'apushome') => 'linetime',
							esc_html__('Grid Style', 'apushome') => 'linetime grid',
						),
						'std' => ''
		            ),
		            array(
						"type" => "textfield",
						"heading" => esc_html__("Extra class name", 'apushome'),
						"param_name" => "el_class",
						"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apushome')
					)
	            )
	        ));

			// information
			vc_map( array(
	            "name" => esc_html__("Apus Information Contact",'apushome'),
	            "base" => "apus_information_box",
	            'description'=> esc_html__('Display Features In FrontEnd', 'apushome'),
	            "class" => "",
	            "category" => esc_html__('Apus Elements', 'apushome'),
	            "params" => array(
					array(
		                "type" => "textfield",
		                "class" => "",
		                "heading" => esc_html__('Title','apushome'),
		                "param_name" => "title",
		            ),
		            array(
		                "type" => "textarea_html",
		                "class" => "",
		                "heading" => esc_html__('Description','apushome'),
		                "param_name" => "content",
		            ),
		            array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Style','apushome'),
		                "param_name" => 'style',
		                'value' 	=> array(
							esc_html__('Default White', 'apushome') => '', 
						),
						'std' => ''
		            ),
		            array(
						"type" => "textfield",
						"heading" => esc_html__("Extra class name", 'apushome'),
						"param_name" => "el_class",
						"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apushome')
					)
	            )
	        ));
			// service
			vc_map( array(
	            "name" => esc_html__("Apus Box Service",'apushome'),
	            "base" => "apus_service",
	            'description'=> esc_html__('Display Features In FrontEnd', 'apushome'),
	            "class" => "",
	            "category" => esc_html__('Apus Elements', 'apushome'),
	            "params" => array(
					array(
		                "type" => "textfield",
		                "class" => "",
		                "heading" => esc_html__('Title','apushome'),
		                "param_name" => "title",
		            ),
		            array(
		                "type" => "textarea_html",
		                "class" => "",
		                "heading" => esc_html__('Description','apushome'),
		                "param_name" => "content",
		            ),
		            array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Feature','apushome'),
		                "param_name" => 'style',
		                'value' 	=> array(
							esc_html__('No', 'apushome') => '', 
							esc_html__('Yes', 'apushome') => 'feature', 
						),
						'std' => ''
		            ),
		            array(
						"type" => "textfield",
						"heading" => esc_html__("Extra class name", 'apushome'),
						"param_name" => "el_class",
						"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apushome')
					)
	            )
	        ));


			$custom_menus = array();
			if ( is_admin() ) {
				$menus = get_terms( 'nav_menu', array( 'hide_empty' => false ) );
				if ( is_array( $menus ) && ! empty( $menus ) ) {
					foreach ( $menus as $single_menu ) {
						if ( is_object( $single_menu ) && isset( $single_menu->name, $single_menu->slug ) ) {
							$custom_menus[ $single_menu->name ] = $single_menu->slug;
						}
					}
				}
			}
			// Menu
			vc_map( array(
			    "name" => esc_html__("Apus Custom Menu",'apushome'),
			    "base" => "apus_custom_menu",
			    "class" => "",
			    "description"=> esc_html__('Show Custom Menu', 'apushome'),
			    "category" => esc_html__('Apus Elements', 'apushome'),
			    "params" => array(
			    	array(
						"type" => "textfield",
						"heading" => esc_html__("Title", 'apushome'),
						"param_name" => "title",
						"value" => '',
						"admin_label"	=> true
					),
					array(
						'type' => 'dropdown',
						'heading' => esc_html__( 'Menu', 'apushome' ),
						'param_name' => 'nav_menu',
						'value' => $custom_menus,
						'description' => empty( $custom_menus ) ? esc_html__( 'Custom menus not found. Please visit Appearance > Menus page to create new menu.', 'apushome' ) : esc_html__( 'Select menu to display.', 'apushome' ),
						'admin_label' => true,
						'save_always' => true,
					),
					array(
		                "type" => "dropdown",
		                "heading" => esc_html__('Style','apushome'),
		                "param_name" => 'style',
		                'value' 	=> array(
							esc_html__('List', 'apushome') => '', 
							esc_html__('Inline', 'apushome') => 'inline', 
						),
						'std' => ''
		            ),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Extra class name", 'apushome'),
						"param_name" => "el_class",
						"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'apushome')
					)
			   	)
			));

		}
	}
	add_action( 'vc_after_set_mode', 'apushome_load_load_theme_element', 99 );

	class WPBakeryShortCode_apus_title_heading extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_call_action extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_brands extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_socials_link extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_newsletter extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_googlemap extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_testimonials extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_banner_countdown extends WPBakeryShortCode {}

	class WPBakeryShortCode_apus_counter extends WPBakeryShortCode {
		public function __construct( $settings ) {
			parent::__construct( $settings );
			$this->load_scripts();
		}

		public function load_scripts() {
			wp_register_script('apushome-counterup-js', get_template_directory_uri().'/js/jquery.counterup.min.js', array('jquery'), false, true);
		}
	}
	class WPBakeryShortCode_apus_ourteam extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_gallery extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_video extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_features_box extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_information_box extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_service extends WPBakeryShortCode {}
	class WPBakeryShortCode_apus_custom_menu extends WPBakeryShortCode {}
}