(function ($) {
    "use strict";
    $.fn.wrapStart = function(numWords){
        return this.each(function(){
            var $this = $(this);
            var node = $this.contents().filter(function(){
                return this.nodeType == 3;
            }).first(),
            text = node.text().trim(),
            first = text.split(' ', 1).join(" ");
            if (!node.length) return;
            node[0].nodeValue = text.slice(first.length);
            node.before('<b>' + first + '</b>');
        });
    }; 

    jQuery(document).ready(function() {
        $('.mod-heading .widget-title > span').wrapStart(1);
        function init_owl() {
            $(".owl-carousel[data-carousel=owl]").each( function(){
                var config = {
                    loop: false,
                    nav: $(this).data( 'nav' ),
                    dots: $(this).data( 'pagination' ),
                    items: 4,
                    navText: ['<span class="icon-ap_circle-left"></span> Prev', 'Next <span class="icon-ap_circle-right"></span>']
                };
            
                var owl = $(this);
                if( $(this).data('items') ){
                    config.items = $(this).data( 'items' );
                }
                if( $(this).data('loop') ){
                    config.loop = true;
                }
                if ($(this).data('margin')) {
                    config.margin = $(this).data('margin');
                } else {
                    config.margin = 30;
                }
                if ($(this).data('large')) {
                    var desktop = $(this).data('large');
                } else {
                    var desktop = config.items;
                }
                if ($(this).data('medium')) {
                    var medium = $(this).data('medium');
                } else {
                    var medium = config.items;
                }
                if ($(this).data('smallmedium')) {
                    var smallmedium = $(this).data('smallmedium');
                } else {
                    var smallmedium = config.items;
                }
                if ($(this).data('extrasmall')) {
                    var extrasmall = $(this).data('extrasmall');
                } else {
                    var extrasmall = 2;
                }
                if ($(this).data('verysmall')) {
                    var verysmall = $(this).data('verysmall');
                } else {
                    var verysmall = 1;
                }
                config.responsive = {
                    0:{
                        items:verysmall
                    },
                    320:{
                        items:extrasmall
                    },
                    768:{
                        items:smallmedium
                    },
                    980:{
                        items:medium
                    },
                    1280:{
                        items:desktop
                    }
                }
                if ( $('html').attr('dir') == 'rtl' ) {
                    config.rtl = true;
                }
                $(this).owlCarousel( config );
                // owl enable next, preview
                var viewport = jQuery(window).width();
                var itemCount = jQuery(".owl-item", $(this)).length;

                if(
                    (viewport >= 1280 && itemCount <= desktop) //desktop
                    || ((viewport >= 980 && viewport < 1280) && itemCount <= medium) //desktop
                    || ((viewport >= 768 && viewport < 980) && itemCount <= smallmedium) //tablet
                    || ((viewport >= 320 && viewport < 768) && itemCount <= extrasmall) //mobile
                    || (viewport < 320 && itemCount <= verysmall) //mobile
                ) {
                    $(this).find('.owl-prev, .owl-next').hide();
                }
            } );
        }
        setTimeout(function(){
            init_owl();
        }, 50);
        
        $('.gallery-v1-wrapper .owl-prev').click(function() {
            $('.gallery-v1-wrapper .property-gallery-preview-owl').trigger('prev.owl.carousel');
        });
        $('.gallery-v1-wrapper .owl-next').click(function() {
            $('.gallery-v1-wrapper .property-gallery-preview-owl').trigger('next.owl.carousel');
        })
        // Fix owl in bootstrap tabs
        $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
            var target = $(e.target).attr("href");
            $(".owl-carousel[data-carousel=owl]", target).each(function(){
                var carousel = $(this).data('owlCarousel');
                carousel._width = $(this).width();
                carousel.invalidate('width');
                carousel.refresh();
            });
            initProductImageLoad();
        });
        
        $('.main-menu li.dropdown a').click(function() {
            window.location = $(this).attr('href');
        });

        setTimeout(function(){
            initProductImageLoad();
        }, 500);
        function initProductImageLoad() {
            $(window).off('scroll.unveil resize.unveil lookup.unveil');
            var $images = $('.image-wrapper:not(.image-loaded) .unveil-image'); // Get un-loaded images only
            if ($images.length) {
                $images.unveil(1, function() {
                    $(this).load(function() {
                        $(this).parents('.image-wrapper').first().addClass('image-loaded');
                    });
                });
            }
        }

        //counter up
        if($('.counterUp').length > 0){
            $('.counterUp').counterUp({
                delay: 10,
                time: 800
            });
        }
        /*---------------------------------------------- 
         * Play Isotope masonry
         *----------------------------------------------*/  
        jQuery('.isotope-items,.blog-masonry').each(function(){  
            var $container = jQuery(this);
            
            setTimeout( function(){
                $container.isotope({
                    itemSelector : '.isotope-item',
                    transformsEnabled: true         // Important for videos
                }); 
            }, 100 );
        });
        /*---------------------------------------------- 
         *    Apply Filter        
         *----------------------------------------------*/
        jQuery('.isotope-filter li a').on('click', function(){
           
            var parentul = jQuery(this).parents('ul.isotope-filter').data('related-grid');
            jQuery(this).parents('ul.isotope-filter').find('li a').removeClass('active');
            jQuery(this).addClass('active');
            var selector = jQuery(this).attr('data-filter'); 
            jQuery('#'+parentul).isotope({ filter: selector }, function(){ });
            
            return(false);
        });

        //Sticky Header
        setTimeout(function(){
            change_margin_top();
        }, 50);
        $(window).resize(function(){
            change_margin_top();
        });
        function change_margin_top() {
            if ($(window).width() > 991) {
                if ( $('.main-sticky-header').length > 0 ) {
                    var header_height = $('.main-sticky-header').outerHeight();
                    $('.main-sticky-header-wrapper').css({'height': header_height});
                }
            }
        }
        var main_sticky = $('.main-sticky-header');
        
        if ( main_sticky.length > 0 ){
            var _menu_action = main_sticky.offset().top;
            var Apus_Menu_Fixed = function(){
                "use strict";

                if( $(document).scrollTop() > _menu_action ){
                  main_sticky.addClass('sticky-header');
                }else{
                  main_sticky.removeClass('sticky-header');
                }
            }
            if ($(window).width() > 991) {
                $(window).scroll(function(event) {
                    Apus_Menu_Fixed();
                });
                Apus_Menu_Fixed();
            }
        }

        //Tooltip
        $(function () {
          $('[data-toggle="tooltip"]').tooltip()
        })

        $('.topbar-mobile .dropdown-menu').on('click', function(e) {
            e.stopPropagation();
        });

        var back_to_top = function () {
            jQuery(window).scroll(function () {
                if (jQuery(this).scrollTop() > 400) {
                    jQuery('#back-to-top').addClass('active');
                } else {
                    jQuery('#back-to-top').removeClass('active');
                }
            });
            jQuery('#back-to-top').on('click', function () {
                jQuery('html, body').animate({scrollTop: '0px'}, 800);
                return false;
            });
        };
        back_to_top();
        
        // popup
        $(document).ready(function() {
            $(".popup-image").magnificPopup({type:'image'});
            $('.popup-video').magnificPopup({
                disableOn: 700,
                type: 'iframe',
                mainClass: 'mfp-fade',
                removalDelay: 160,
                preloader: false,
                fixedContentPos: false
            });
        });

        // mobile menu
        $('[data-toggle="offcanvas"], .btn-offcanvas').on('click', function (e) {
            e.stopPropagation();
            $('#apus-mobile-menu').toggleClass('active');           
            $('.over-dark').toggleClass('active');           
        });
        $('body').click(function() {
            if ($('.apus-offcanvas').hasClass('active')) {
                $('#apus-mobile-menu').toggleClass('active');
                $('.over-dark').toggleClass('active'); 
            }
        });
        $('#apus-mobile-menu').click(function(e) {
            e.stopPropagation();
        });

        // compare sidebar
        $('.compare-sidebar-btn').on('click', function (e) {
            e.stopPropagation();
            $('#compare-sidebar').toggleClass('open');
        });
        $('.compare-sidebar-wrapper').perfectScrollbar();

        $('.show-vertical').on('click', function (e) {
            e.stopPropagation();
            $('.header-v3').toggleClass('active');
        });
        
        $('body').click(function() {
            if ($('#wrapper-container').hasClass('active')) {
                $('#wrapper-container').toggleClass('active');
                $('#aups-mobile-menu').toggleClass('active');
            }
        });
        $('#apus-mobile-menu').click(function(e) {
            e.stopPropagation();
        });
        
        $("#main-mobile-menu .icon-toggle").on('click', function(){
            $(this).parent().find('> .sub-menu').slideToggle();
            if ( $(this).find('i').hasClass('fa-plus') ) {
                $(this).find('i').removeClass('fa-plus').addClass('fa-minus');
            } else {
                $(this).find('i').removeClass('fa-minus').addClass('fa-plus');
            }
            return false;
        } );

        // preload page
        var $body = $('body');
        if ( $body.hasClass('apus-body-loading') ) {

            setTimeout(function() {
                $body.removeClass('apus-body-loading');
                $('.apus-page-loading').fadeOut(250);
            }, 500);
        }

        // testimonial
        $("[data-testimonial=content]").each( function(){
            var self = $(this);
            var owl = $(this).find('.owl-carousel');
            setTimeout(function(){
                owl.find('.testimonial-body').removeClass('active');
                owl.find('.owl-item.active').find('.testimonial-body').addClass('active');
                self.find('.testimonial-content').html( '' ).fadeOut(200);
                self.find('.testimonial-content').html( owl.find('.owl-item.active').find('.description').html() ).fadeIn(300);
            }, 100);
            owl.on('changed.owl.carousel',function(property){
                setTimeout(function(){
                    owl.find('.testimonial-body').removeClass('active');
                    owl.find('.owl-item.active').find('.testimonial-body').addClass('active');
                    self.find('.testimonial-content').html( '' ).fadeOut(200);
                    self.find('.testimonial-content').html( owl.find('.owl-item.active').find('.description').html() ).fadeIn(300);
                }, 100);
            });
        });
        $("[data-testimonial=content-grid]").each( function(){
            var self = $(this);
            $('.testimonial-body', self).click(function(){
                self.find('.testimonial-body').removeClass('active');
                $(this).addClass('active');
                self.find('.testimonial-content').html( '' ).fadeOut(200);
                self.find('.testimonial-content').html( $(this).find('.description').html() ).fadeIn(300);
            });
            self.find('.testimonial-body').removeClass('active');
            self.find('.testimonial-body').eq(0).addClass('active');
            self.find('.testimonial-content').html( '' ).fadeOut(200);
            self.find('.testimonial-content').html( $(this).find('.description').html() ).fadeIn(300);
        });

        // gmap 3
        $('.apus-google-map').each(function(){
            var lat = $(this).data('lat');
            var lng = $(this).data('lng');
            var zoom = $(this).data('zoom');
            var id = $(this).attr('id');
            if ( $(this).data('marker_icon') ) {
                var marker_icon = $(this).data('marker_icon');
            } else {
                var marker_icon = '';
            }
            $('#'+id).gmap3({
                map:{
                    options:{
                        "draggable": true
                        ,"mapTypeControl": true
                        ,"mapTypeId": google.maps.MapTypeId.ROADMAP
                        ,"scrollwheel": false
                        ,"panControl": true
                        ,"rotateControl": false
                        ,"scaleControl": true
                        ,"streetViewControl": true
                        ,"zoomControl": true
                        ,"center":[lat, lng]
                        ,"zoom": zoom
                        ,'styles': $(this).data('style')
                    }
                },
                marker:{
                    latLng: [lat, lng],
                    options: {
                        icon: marker_icon,
                    }
                }
            });
        });
        
        setTimeout(function(){
            vc_rtl();
        }, 100);
        $(window).resize(function(){
            vc_rtl();
        });
        function vc_rtl() {
            if( jQuery('html').attr('dir') == 'rtl' ){
                jQuery('[data-vc-full-width="true"]').each( function(i,v){
                    jQuery(this).css('right' , jQuery(this).css('left') ).css( 'left' , 'auto');
                });
            }
        }

        // popup newsletter
        setTimeout(function(){
            var hiddenmodal = getCookie('hiddenmodal');
            if (hiddenmodal == "") {
                jQuery('#popupNewsletterModal').modal('show');
            }
        }, 3000);
        $('#popupNewsletterModal').on('hidden.bs.modal', function () {
            setCookie('hiddenmodal', 1, 30);
        });

        // properties slider
        $('.widget-properties-slider .thumbnails li').each(function(e){
            $(this).click(function(event){
                $('.widget-properties-slider .owl-carousel').trigger("to.owl.carousel", [e, 0, true]);
                $('.widget-properties-slider .thumbnails li').removeClass('active');
                $(this).addClass('active');
            });
        });
        $('.widget-properties-slider .owl-carousel').on('changed.owl.carousel', function(event) {
            setTimeout(function(){
                var index = 0;
                $('.widget-properties-slider .owl-carousel .owl-item').each(function(i){
                    if ($(this).hasClass('active')){
                        index = i;
                    }
                });
                $('.widget-properties-slider .thumbnails li').removeClass('active');
                $('.widget-properties-slider .thumbnails li').eq(index).addClass('active');
            },50);
        });

        // single gallery
        $('.property-gallery-index .thumb-link').each(function(e){
            $(this).click(function(event){
                event.preventDefault();
                $('.property-gallery-preview-owl').trigger("to.owl.carousel", [e, 0, true]);
                
                $('.property-gallery-index .thumb-link').removeClass('active');
                $(this).addClass('active');
                return false;
            });
        });
        $('.property-gallery-preview-owl').on('changed.owl.carousel', function(event) {
            setTimeout(function(){
                var index = 0;
                $('.property-gallery-preview-owl .owl-item').each(function(i){
                    if ($(this).hasClass('active')){
                        index = i;
                    }
                });
                $('.property-gallery-index .thumb-link').removeClass('active');
                $('.property-gallery-index .owl-item').eq(index).find('.thumb-link').addClass('active');
            },50);
        });

        $('.filter-property-form').each(function(){
            var self = $(this);
            $('.toggle-adv', self).click(function(e){
                $('.advance-fields', self).slideToggle();
                return false;
            });
        });

        // Find all YouTube videos
            $( '[href="#tab-content-video"]' ).click(function(){
                $('#tab-content-video').find('iframe').css({
                    width: '100%',
                    height: '388px'
                });
                
            });

        iframe_full_width();
        function iframe_full_width(){
            var $fluidEl = $(".pro-fluid-inner, .video-embed-wrapper");
            var $videoEls = $(".pro-fluid-inner iframe, .video-embed-wrapper iframe");
            $videoEls.each(function() {
                $(this).data('aspectRatio', this.height / this.width)
                .removeAttr('height')
                .removeAttr('width');
            });

            $(window).resize(function() {
                $fluidEl.each(function(){
                    var newWidth = $(this).width();
                    var $videoEl = $(this).find("iframe");
                    $videoEl.each(function() {
                        var $el = $(this);
                        $el.width(newWidth).height(newWidth * $el.data('aspectRatio'));
                    });
                });
            }).resize();
        }

        // Bookmark Course
        $( "body" ).on( "click", ".apus-favorite-add", function( e ) {
            e.preventDefault();
            if ( $(this).hasClass('loading') ) {
                return false;
            }
            var self = $(this);
            self.addClass('loading');
            var post_id = self.data('id');
            var url = apushome_ajax.ajaxurl + '?action=apushome_add_favorite&post_id=' + post_id;
            
            $.ajax({
                url: url,
                type:'POST',
                dataType: 'json',
            }).done(function(reponse) {
                self.removeClass('apus-favorite-add').removeClass('loading').addClass('apus-favorite-added');
                //self.text( apushome_ajax.favorite_view_text );
            });
        });

        $( "body" ).on( "click", ".apus-favorite-not-login", function( e ) {
            e.preventDefault();
            $.magnificPopup.open({
                mainClass: 'apus-mfp-zoom-small-in',
                items    : {
                    src : '<div class="apus-favorite-need-login">' + $('.apus-favorite-login-info').html() + '</div>',
                    type: 'inline'
                }
            });
        });
        // favorite remove
        $( "body" ).on( "click", ".apus-favorite-remove", function( e ) {
            e.preventDefault();
            var self = $(this);
            self.addClass('loading');
            
            var post_id = $(this).data('id');
            var url = apushome_ajax.ajaxurl + '?action=apushome_remove_favorite&post_id=' + post_id;
            $.ajax({
                url: url,
                type:'POST',
                dataType: 'json',
            }).done(function(reponse) {
                if (reponse.status) {
                    var parent = $('#favorite-property-' + post_id).parent().parent();
                    if ( $('.favorite-item', parent).length <= 1 ) {
                        location.reload();
                    } else {
                        $('#favorite-property-' + post_id).parent().remove();
                    }
                } else {
                    $.magnificPopup.open({
                        mainClass: 'apus-mfp-zoom-small-in',
                        items: {
                            src : reponse.msg,
                            type: 'inline'
                        }
                    });
                }
            });
        });

        // sticky
        if ($(window).width() > 991) {
            setTimeout(function(){
                if ($('.sticky-this').length > 0) {
                    $('.sticky-this').stick_in_parent({
                        parent: ".sticky-v-wrapper",
                        spacer: false
                    });
                }
            }, 50);
        }


        // login/register
        
        $('body').on('submit', 'form.register-form', function(e){
            e.preventDefault();
            $('.register-form-msg').html('');
            var url = apushome_ajax.ajaxurl + '?action=apushome_process_register&' + $(this).serialize();
            $.ajax({
                url: url,
                type:'POST',
                dataType: 'json',
            }).done(function(reponse) {
                $('.register-form-msg').html('<div class="text-'+ reponse.class +'">'+ reponse.msg +'</div>');
                if ( reponse.class === 'success' ) {
                    setTimeout(function(){
                        window.location.href = apushome_ajax.after_register;    
                    }, 2000);
                }
            });
        });

        $('body').on('submit', 'form.login-form', function(e){
            e.preventDefault();
            $('.login-form-msg').html('');
            var url = apushome_ajax.ajaxurl + '?action=apushome_process_login&' + $(this).serialize();
            $.ajax({
                url: url,
                type:'POST',
                dataType: 'json',
            }).done(function(reponse) {
                $('.login-form-msg').html('<div class="text-'+ reponse.class +'">'+ reponse.msg +'</div>');
                if ( reponse.class === 'success' ) {
                    setTimeout(function(){
                        window.location.href = apushome_ajax.after_login;    
                    }, 2000);
                }
            });
        });
    });
    

    // filter Property
    var apusFilter = {
        propertyMap: null,
        markers: [],
        init: function(){
            // Filter Property
            $('.properties-archive-main-container .filter-property-form').on('submit', function (e) {
                e.preventDefault();
                var url = $(this).attr('action') + '?' + $(this).serialize();
                apusFilter.propertiesGetPage( url );
            });
            // Sort Action
            $('body').on('click', '.properties-sort-wrapper-inner .dropdown-menu a', function(e) {
                e.preventDefault();
                var text = $(this).text();
                $(this).parent().parent().parent().find('.dropdown-toggle span').text(text);
                if ( $( '#' + $(this).data('key') ).length > 0 ) {
                    $( '#' + $(this).data('key') ).val( $(this).data('value') );
                }
                setCookie( $(this).data('key'), $(this).data('value') );

                apusFilter.propertiesGetPage($(this).attr('href'));
            });
            $('body').on('click', '.property-display-mod a', function() {
                var type = $(this).data('type');
                setCookie( 'apushome_realia_mode', type );
                return true;
            });

            $('.payment-form .gateway').each(function(){
                var $this = $(this);
                $('.gateway-header', $this).click(function(e){
                    //e.preventDefault();
                    if ( !$(this).parent().hasClass('active') ) {
                        $('.payment-form .gateway.active').removeClass('active').find('.gateway-content').slideToggle();
                        $(this).parent().addClass('active').find('.gateway-content').slideToggle();
                        //$(this).find('.radio-wrapper input').prop('checked', true);
                    }
                });
            });

            if ( $('body.fix-header').length > 0 ) {
                var header_height = $('#apus-header').outerHeight();
                $('#apus-main-content').css({'margin-top': header_height});
            }
            // ajax pagination
            if ( $('.ajax-pagination').length ) {
                apusFilter.ajaxPaginationLoad();
            }
            // Single Property map
            apusFilter.showGoogleMap();
            apusFilter.filterPriceRange();
            // Property Search Save
            apusFilter.filterSave();
            // Property Compare
            apusFilter.propertyCompare();
            
            // Walk Score
            apusFilter.propertyWalkScore();
            // Yelp Nearby
            apusFilter.propertyNearbyYelp();
            // Mortgage Calculator
            apusFilter.mortgageCalculator();
        },
        mortgageCalculator: function() {

            $('#btn_mortgage_get_results').on('click', function (e) {
                e.preventDefault();

                var property_price = $('#apus_mortgage_property_price').val();
                var deposit = $('#apus_mortgage_deposit').val();
                var interest_rate = parseFloat($('#apus_mortgage_interest_rate').val(), 10) / 100;
                var years = parseInt($('#apus_mortgage_term_years').val(), 10);
                

                var interest_rate_month = interest_rate / 12;
                var nbp_month = years * 12;

                var loan_amount = property_price - deposit;
                var monthly_payment = parseFloat((loan_amount * interest_rate_month) / (1 - Math.pow(1 + interest_rate_month, -nbp_month))).toFixed(2);

                if (monthly_payment === 'NaN') {
                    monthly_payment = 0;
                }
                
                $('.apus_mortgage_results').html( apushome_ajax.monthly_text + apushome_ajax.currency + monthly_payment);

            });
        },
        propertyNearbyYelp: function() {
            var self = this;
            if ( $('.property-nearby_yelp').length > 0 ) {
                var $this = $('.property-nearby_yelp');
                var id = $this.data('id');
                $this.addClass('loading');
                if (self.nearbyAjax) { return false; }
                self.nearbyAjax = $.ajax({
                    url: apushome_ajax.ajaxurl,
                    data: 'action=apushome_get_nearby_yelp&id=' + id,
                    dataType: 'json',
                    cache: false,
                    headers: {'cache-control': 'no-cache'},
                    method: 'POST',
                    error: function(XMLHttpRequest, textStatus, errorThrown) {
                        console.log('Apus: AJAX error - propertyNearbyYelp() - ' + errorThrown);
                        $this.removeClass('loading');
                        self.nearbyAjax = false;
                    },
                    success: function(response) {
                        if (response.status == 'error') {
                            $this.remove();
                        } else {
                            $this.html( response.html );
                        }
                        $this.removeClass('loading');
                        self.nearbyAjax = false;
                    }
                });
            }
        },
        propertyWalkScore: function() {
            var self = this;
            if ( $('.property-walk_score').length > 0 ) {
                var $this = $('.property-walk_score');
                var id = $this.data('id');
                $this.addClass('loading');
                if (self.walkScoreAjax) { return false; }
                self.walkScoreAjax = $.ajax({
                    url: apushome_ajax.ajaxurl,
                    data: 'action=apushome_get_walk_score&id=' + id,
                    dataType: 'json',
                    cache: false,
                    headers: {'cache-control': 'no-cache'},
                    method: 'POST',
                    error: function(XMLHttpRequest, textStatus, errorThrown) {
                        console.log('Apus: AJAX error - propertyWalkScore() - ' + errorThrown);
                        $this.removeClass('loading');
                        self.walkScoreAjax = false;
                    },
                    success: function(response) {
                        if (response.status == 'error') {
                            $this.remove();
                        } else {
                            $this.html( response.html );
                        }
                        $this.removeClass('loading');
                        self.walkScoreAjax = false;
                    }
                });
            }
        },
        propertyCompare: function() {
            var self = this;
            $('body').on('click', '.property-box-compare a:not(.added)', function(e){
                e.preventDefault();
                var $this = $(this);
                var id = $(this).data('id');
                if (self.compareAjax) { return false; }
                $this.addClass('loading');
                self.compareAjax = $.ajax({
                    url: apushome_ajax.ajaxurl,
                    data: 'action=apushome_add_to_compare&id=' + id,
                    dataType: 'json',
                    cache: false,
                    headers: {'cache-control': 'no-cache'},
                    method: 'POST',
                    error: function(XMLHttpRequest, textStatus, errorThrown) {
                        console.log('Apus: AJAX error - propertyCompare() - ' + errorThrown);
                        $this.removeClass('loading');
                        self.compareAjax = false;
                    },
                    success: function(response) {
                        if (response.status == 'success') {
                            $('.compare-sidebar-wrapper').html(response.msg);
                            $('.compare-sidebar-btn .count').html(response.count);
                            if ( !$('#compare-sidebar').hasClass('active') ) {
                                $('#compare-sidebar').addClass('active');
                            }

                            $this.addClass('added').find('i').addClass('icon-ap_check-circle').removeClass('icon-ap_plus-outline');
                            $this.attr('data-original-title', apushome_ajax.comapre_text_added);
                        } else {
                            alert(response.msg);
                        }
                        $this.removeClass('loading');
                        self.compareAjax = false;
                    }
                });
            });

            $('body').on('click', '.apus-remove-compare', function(e){
                e.preventDefault();
                var $this = $(this);
                var id = $(this).data('id');
                if (self.compareAjax) { return false; }
                $this.addClass('loading');
                self.compareAjax = $.ajax({
                    url: apushome_ajax.ajaxurl,
                    data: 'action=apushome_remove_compare&id=' + id,
                    dataType: 'json',
                    cache: false,
                    headers: {'cache-control': 'no-cache'},
                    method: 'POST',
                    error: function(XMLHttpRequest, textStatus, errorThrown) {
                        console.log('Apus: AJAX error - propertyCompare() - ' + errorThrown);
                        $this.removeClass('loading');
                        self.compareAjax = false;
                    },
                    success: function(response) {
                        if (response.status == 'success') {
                            if ( $('.widget-properties-compare').length > 0 ) {
                                window.location = window.location
                            }
                            $('.compare-sidebar-wrapper').html(response.msg);
                            $('.compare-sidebar-btn .count').html(response.count);
                            if ( response.count == '0' ) {
                                $('#compare-sidebar').removeClass('active');
                            }
                            $('.property-box-compare a').each(function(){
                                if ( id == $(this).data('id') ) {
                                    $(this).removeClass('added').find('i').removeClass('icon-ap_check-circle').addClass('icon-ap_plus-outline');
                                    $(this).attr('data-original-title', apushome_ajax.comapre_text);
                                }
                            });
                        } else {
                            alert(response.msg);
                        }
                        $this.removeClass('loading');
                        self.compareAjax = false;
                    }
                });
            });

            $('body').on('click', '.apus-remove-compare-all', function(e){
                e.preventDefault();
                var $this = $(this);
                if (self.compareAjax) { return false; }
                $this.addClass('loading');
                self.compareAjax = $.ajax({
                    url: apushome_ajax.ajaxurl,
                    data: 'action=apushome_remove_all_compare',
                    dataType: 'json',
                    cache: false,
                    headers: {'cache-control': 'no-cache'},
                    method: 'POST',
                    error: function(XMLHttpRequest, textStatus, errorThrown) {
                        console.log('Apus: AJAX error - propertyCompare() - ' + errorThrown);
                        $this.removeClass('loading');
                        self.compareAjax = false;
                    },
                    success: function(response) {
                        if (response.status == 'success') {
                            if ( $('.widget-properties-compare').length > 0 ) {
                                window.location = window.location
                            }
                            $('.compare-sidebar-wrapper').html(response.msg);
                            $('.compare-sidebar-btn .count').html(response.count);
                            $('#compare-sidebar').removeClass('active');
                            $('#compare-sidebar').removeClass('open');
                            $('.property-box-compare a').each(function(){
                                if ( $(this).find('i').removeClass('icon-ap_check-circle') ) {
                                    $(this).find('i').removeClass('icon-ap_check-circle').addClass('icon-ap_plus-outline');
                                }
                                $(this).removeClass('added')
                                $(this).attr('data-original-title', apushome_ajax.comapre_text);
                            });
                        } else {
                            alert(response.msg);
                        }
                        $this.removeClass('loading');
                        self.compareAjax = false;
                    }
                });
            });
        },
        filterSave: function() {
            var self = this;
            if ($('.properties-archive-main-container .filter-property-form').length > 0) {
                $('body .save-search-btn').removeClass('hidden');
                $('body').on('click', '.save-search-btn', function(e) {
                    e.preventDefault();
                    $.magnificPopup.open({
                        mainClass: 'apus-mfp-zoom-small-in',
                        items    : {
                            src : $('.save-search-form-popup').html(),
                            type: 'inline'
                        }
                    });
                });

                $('body').on('submit', '#apus-save-search-form', function (e) {
                    e.preventDefault();
                    var $this = $(this);
                    $this.find('.btn-save').addClass('loading');
                    var data_search = $('.properties-archive-main-container .filter-property-form').serialize();
                    var this_data = $(this).serialize();

                    if (self.filterSaveAjax) { return false; }

                    self.filterSaveAjax = $.ajax({
                        url: apushome_ajax.ajaxurl,
                        data: 'action=apushome_save_search&' + data_search + '&' + this_data,
                        dataType: 'json',
                        cache: false,
                        headers: {'cache-control': 'no-cache'},
                        method: 'POST',
                        
                        error: function(XMLHttpRequest, textStatus, errorThrown) {
                            console.log('Apus: AJAX error - filterSave() - ' + errorThrown);
                            $this.find('.btn-save').removeClass('loading');
                            self.filterSaveAjax = false;
                        },
                        success: function(response) {
                            $this.find('.msg').html('<div class="'+response.class+'">'+response.msg+'</div>');
                            $this.find('.btn-save').removeClass('loading');
                            self.filterSaveAjax = false;
                        }
                    });
                });
            }

            $('body').on('click', '.apus-search-save-remove', function(e) {
                e.preventDefault();
                var $this = $(this);
                $this.addClass('loading');
                var $id = $this.attr('href');

                if (self.filterSaveAjax) { return false; }

                self.filterSaveAjax = $.ajax({
                    url: apushome_ajax.ajaxurl,
                    data: 'action=apushome_save_search_remove&id=' + $this.data('id'),
                    dataType: 'json',
                    cache: false,
                    headers: {'cache-control': 'no-cache'},
                    method: 'POST',
                    
                    error: function(XMLHttpRequest, textStatus, errorThrown) {
                        console.log('Apus: AJAX error - filterSave() - ' + errorThrown);
                        $this.removeClass('loading');
                        self.filterSaveAjax = false;
                    },
                    success: function(response) {
                        if ( response.status == 'error' ) {
                            alert('Do not have this search');
                        } else {
                            $($id).remove();
                        }
                        self.filterSaveAjax = false;
                    }
                });
            });
        },
        filterPriceRange: function() {
            $('.filter-property-form').each(function(){
                var self = $(this);
                if ( $('.price_range', self).length > 0 ) {
                    var e_price = $('.price_range', self);
                    e_price.slider({
                        range: true,
                        min: e_price.data('min'),
                        max: e_price.data('max'),
                        values: [ self.find('.filter-price-from').val(), self.find('.filter-price-to').val() ],
                        slide: function( event, ui ) {
                            self.find('.price_from .price').text( apusFilter.addCommas(ui.values[ 0 ]) );
                            self.find('.filter-price-from').val( ui.values[ 0 ] )
                            self.find('.price_to .price').text( apusFilter.addCommas(ui.values[ 1 ]) );
                            self.find('.filter-price-to').val( ui.values[ 1 ] )
                        }
                    });
                    self.find('.price_from .price').text( apusFilter.addCommas(self.find('.filter-price-from').val()) );
                    self.find('.price_to .price').text( apusFilter.addCommas(self.find('.filter-price-to').val()) );
                }

                $('.filter-amenities-title', self).click(function(){
                    $(this).parent().find('.filter-amenities-list').slideToggle();
                    if ( $(this).find('i').hasClass('fa-plus-square-o') ) {
                        $(this).find('i').removeClass('fa-plus-square-o').addClass('fa-minus-square-o');
                    } else {
                        $(this).find('i').removeClass('fa-minus-square-o').addClass('fa-plus-square-o');
                    }
                });
            });
        },
        addCommas: function(str) {
            var parts = (str + "").split("."),
                main = parts[0],
                len = main.length,
                output = "",
                first = main.charAt(0),
                i;
            
            if (first === '-') {
                main = main.slice(1);
                len = main.length;    
            } else {
                first = "";
            }
            i = len - 1;
            while(i >= 0) {
                output = main.charAt(i) + output;
                if ((len - i) % 3 === 0 && i > 0) {
                    output = apushome_ajax.thousands_separator + output;
                }
                --i;
            }
            // put sign back
            output = first + output;
            // put decimal part back
            if (parts.length > 1) {
                output += apushome_ajax.dec_point + parts[1];
            }
            return output;
        },
        propertiesGetPage: function(pageUrl, isBackButton){
            var self = this;
            if (self.filterAjax) { return false; }

            self.propertiesSetCurrentUrl();

            if (pageUrl) {
                // Show 'loader' overlay
                self.propertiesShowLoader();
                
                // Make sure the URL has a trailing-slash before query args (301 redirect fix)
                pageUrl = pageUrl.replace(/\/?(\?|#|$)/, '/$1');
                
                if (!isBackButton) {
                    self.setPushState(pageUrl);
                }

                self.filterAjax = $.ajax({
                    url: pageUrl,
                    data: {
                        load_type: 'full'
                    },
                    dataType: 'html',
                    cache: false,
                    headers: {'cache-control': 'no-cache'},
                    
                    method: 'POST', // Note: Using "POST" method for the Ajax request to avoid "load_type" query-string in pagination links
                    
                    error: function(XMLHttpRequest, textStatus, errorThrown) {
                        console.log('Apus: AJAX error - propertiesGetPage() - ' + errorThrown);
                        
                        // Hide 'loader' overlay (after scroll animation)
                        self.propertiesHideLoader();
                        
                        self.filterAjax = false;
                    },
                    success: function(response) {
                        // Update properties content
                        self.propertiesUpdateContent(response);
                        
                        self.filterAjax = false;
                    }
                });
                
            }
        },
        propertiesHideLoader: function(){
            $('body').find('.apus-properties-page-wrapper').removeClass('loading');
        },
        propertiesShowLoader: function(){
            $('body').find('.apus-properties-page-wrapper').addClass('loading');
        },
        setPushState: function(pageUrl) {
            window.history.pushState({apusShop: true}, '', pageUrl);
        },
        propertiesSetCurrentUrl: function() {
            var self = this;
            
            // Set current page URL
            self.searchAndTagsResetURL = window.location.href;
        },
        /**
         *  Properties: Update properties content with AJAX HTML
         */
        propertiesUpdateContent: function(ajaxHTML) {
            var self = this,
                $ajaxHTML = $('<div>' + ajaxHTML + '</div>');

            var $sortby = $ajaxHTML.find('.properties-sort-wrapper'),
                $properties = $ajaxHTML.find('.apus-properties-page-wrapper'),
                $pagination = $ajaxHTML.find('.apus-pagination-wrapper');

            // Replace sortby
            if ($sortby.length) {
                $('.properties-sort-wrapper').replaceWith($sortby);
            }
            // Replace properties
            if ($properties.length) {
                $('.apus-properties-page-wrapper').replaceWith($properties);
                apusFilter.filterSave();
            }
            // Replace pagination
            if ($pagination.length) {
                $('.apus-pagination-wrapper').replaceWith($pagination);
            }
            // Load images (init Unveil)
            self.loadImages();
            // pagination
            if ( $('.ajax-pagination').length ) {
                self.infloadScroll = false;
                apusFilter.ajaxPaginationLoad();
            }
            apusFilter.refreshGoogleMap();
            setTimeout(function() {
                // Hide 'loader'
                self.propertiesHideLoader();
            }, 100);
        },

        /**
         *  Shop: Initialize infinite load
         */
        ajaxPaginationLoad: function() {
            var self = this,
                $infloadControls = $('body').find('.ajax-pagination'),                   
                nextPageUrl;

            self.infloadScroll = ($infloadControls.hasClass('infinite-action')) ? true : false;
            
            if (self.infloadScroll) {
                self.infscrollLock = false;
                
                var pxFromWindowBottomToBottom,
                    pxFromMenuToBottom = Math.round($(document).height() - $infloadControls.offset().top);
                    //bufferPx = 0;
                
                /* Bind: Window resize event to re-calculate the 'pxFromMenuToBottom' value (so the items load at the correct scroll-position) */
                var to = null;
                $(window).resize(function() {
                    if (to) { clearTimeout(to); }
                    to = setTimeout(function() {
                        var $infloadControls = $('.ajax-pagination'); // Note: Don't cache, element is dynamic
                        pxFromMenuToBottom = Math.round($(document).height() - $infloadControls.offset().top);
                    }, 100);
                });
                
                $(window).scroll(function(){
                    if (self.infscrollLock) {
                        return;
                    }
                    
                    pxFromWindowBottomToBottom = 0 + $(document).height() - ($(window).scrollTop()) - $(window).height();
                    
                    // If distance remaining in the scroll (including buffer) is less than the pagination element to bottom:
                    if (pxFromWindowBottomToBottom < pxFromMenuToBottom) {
                        self.ajaxPaginationGet();
                    }
                });
            } else {
                var $productsWrap = $('body');
                /* Bind: "Load" button */
                $productsWrap.on('click', '.apus-properties-main .apus-loadmore-btn', function(e) {
                    e.preventDefault();
                    self.ajaxPaginationGet();
                });
                
            }
            
            if (self.infloadScroll) {
                $(window).trigger('scroll'); // Trigger scroll in case the pagination element (+buffer) is above the window bottom
            }
        },
        /**
         *  Shop: AJAX load next page
         */
        ajaxPaginationGet: function() {
            var self = this;
            
            if (self.filterAjax) return false;
            
            // Get elements (these can be replaced with AJAX, don't pre-cache)
            var $nextPageLink = $('.apus-pagination-next-link').find('a'),
                $infloadControls = $('.ajax-pagination'),
                nextPageUrl = $nextPageLink.attr('href');
            
            if (nextPageUrl) {
                // Show 'loader'
                $infloadControls.addClass('apus-loader');
                
                //self.setPushState(nextPageUrl);

                self.filterAjax = $.ajax({
                    url: nextPageUrl,
                    data: {
                        load_type: 'properties'
                    },
                    dataType: 'html',
                    cache: false,
                    headers: {'cache-control': 'no-cache'},
                    method: 'GET',
                    error: function(XMLHttpRequest, textStatus, errorThrown) {
                        console.log('APUS: AJAX error - ajaxPaginationGet() - ' + errorThrown);
                    },
                    complete: function() {
                        // Hide 'loader'
                        $infloadControls.removeClass('apus-loader');
                    },
                    success: function(response) {
                        var $response = $('<div>' + response + '</div>'), // Wrap the returned HTML string in a dummy 'div' element we can get the elements
                            $gridItemElement = $('#tab-properties-grid .property-box-archive .col-property-box', $response),
                            $listItemElement = $('#tab-properties-list .property-box-archive .property-box', $response);
                        
                        // Append the new elements
                        $('#tab-properties-grid .property-box-archive .row').append($gridItemElement);
                        $('#tab-properties-list .property-box-archive').append($listItemElement);
                        
                        apusFilter.refreshGoogleMap(response);

                        // Load images (init Unveil)
                        self.loadImages();
                        
                        // Get the 'next page' URL
                        nextPageUrl = $response.find('.apus-pagination-next-link').children('a').attr('href');
                        
                        if (nextPageUrl) {
                            $nextPageLink.attr('href', nextPageUrl);
                        } else {
                            $('.apus-properties-main').addClass('all-properties-loaded');
                            
                            if (self.infloadScroll) {
                                self.infscrollLock = true;
                            }
                            $infloadControls.find('.apus-loadmore-btn').addClass('hidden');
                            $nextPageLink.removeAttr('href');
                        }
                        
                        self.filterAjax = false;
                        
                        if (self.infloadScroll) {
                            $(window).trigger('scroll'); // Trigger 'scroll' in case the pagination element (+buffer) is still above the window bottom
                        }
                    }
                });
            } else {
                if (self.infloadScroll) {
                    self.infscrollLock = true; // "Lock" scroll (no more products/pages)
                }
            }
        },

        loadImages: function() {
            $(window).off('scroll.unveil resize.unveil lookup.unveil');
            var $images = $('.image-wrapper:not(.image-loaded) .unveil-image'); // Get un-loaded images only
            if ($images.length) {
                var scrollTolerance = 1;
                $images.unveil(1, function() {
                    $(this).load(function() {
                        $(this).parents('.image-wrapper').first().addClass('image-loaded');
                    });
                });
            }
        },
        showGoogleMap: function() {
            var self = this;
            if ($('#properties-map').length > 0) {
                var map = $('#properties-map');
                map.addClass('loading');
                if ( $('#tab-properties-grid .property-box').length >0 ) {
                    $('#tab-properties-grid .property-box').each(function(){
                        var $item = $(this);
                        var marker = {
                            latitude: $item.data('latitude'),
                            longitude: $item.data('longitude'),
                            content: $item.find('.property-map-content').html(),
                            marker_content: $item.find('.property-map-marker').html(),
                        };
                        self.markers.push(marker);
                    });
                }
                self.propertyMap = map.google_map({
                    geolocation: map.data('geolocation'),
                    infowindow: {
                        borderBottomSpacing: 0,
                        height: 120,
                        width: 424,
                        offsetX: 48,
                        offsetY: -87
                    },
                    zoom: map.data('zoom'),
                    marker: {
                        height: 56,
                        width: 56
                    },
                    cluster: {
                        height: 40,
                        width: 40,
                        gridSize: 60
                    },
                    styles: map.data('style'),
                    transparentMarkerImage: apushome_ajax.transparent_marker,
                    transparentClusterImage: apushome_ajax.transparent_marker,
                    markers: self.markers
                });
                setTimeout(function(){
                    map.removeClass('loading');
                }, 100);

                $('body').on('mouseenter', '.apus-properties-page-wrapper .property-box', function(){
                    var markerid = $(this).data('markerid');
                    if ( markerid ) {
                        $('#properties-map').find('.'+markerid).addClass('active');
                    }
                }).on('mouseleave', '.apus-properties-page-wrapper .property-box', function(){
                    var markerid = $(this).data('markerid');
                    if ( markerid ) {
                        $('#properties-map').find('.'+markerid).removeClass('active');
                    }
                });
            }
        },
        refreshGoogleMap: function(response) {
            var self = this;
            var map = $('#properties-map');
            if ($('#properties-map').length > 0) {
                map.addClass('loading');
                var newmarkers = [];
                $('body #tab-properties-grid .property-box').each(function(){
                    var $item = $(this);
                    var marker = {
                        latitude: $item.data('latitude'),
                        longitude: $item.data('longitude'),
                        content: $item.find('.property-map-content').html(),
                        marker_content: $item.find('.property-map-marker').html(),
                    };
                    newmarkers.push(marker);
                });

                if ( newmarkers.length > 0 ) {
                    map.google_map('removeMarkers');
                    map.google_map('addMarkers',{markers: newmarkers});
                }
                setTimeout(function(){
                    map.removeClass('loading');
                }, 100);
            }
        }
    };

    apusFilter.init();
})(jQuery)

function setCookie(cname, cvalue, exdays) {
    var d = new Date();
    d.setTime(d.getTime() + (exdays*24*60*60*1000));
    var expires = "expires="+d.toUTCString();
    document.cookie = cname + "=" + cvalue + "; " + expires+";path=/";
}

function getCookie(cname) {
    var name = cname + "=";
    var ca = document.cookie.split(';');
    for(var i=0; i<ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0)==' ') c = c.substring(1);
        if (c.indexOf(name) == 0) return c.substring(name.length,c.length);
    }
    return "";
}
