jQuery(document).ready(function($){

	var apushome_upload;
	var apushome_selector;

	function apushome_add_file(event, selector) {

		var upload = $(".uploaded-file"), frame;
		var $el = $(this);
		apushome_selector = selector;

		event.preventDefault();

		// If the media frame already exists, reopen it.
		if ( apushome_upload ) {
			apushome_upload.open();
		} else {
			// Create the media frame.
			apushome_upload = wp.media.frames.apushome_upload =  wp.media({
				// Set the title of the modal.
				title: "Select Image",

				// Customize the submit button.
				button: {
					// Set the text of the button.
					text: "Selected",
					// Tell the button not to close the modal, since we're
					// going to refresh the page when the image is selected.
					close: false
				}
			});

			// When an image is selected, run a callback.
			apushome_upload.on( 'select', function() {
				// Grab the selected attachment.
				var attachment = apushome_upload.state().get('selection').first();
				apushome_upload.close();
				apushome_selector.find('.upload_image').val(attachment.attributes.id).change();
				if ( attachment.attributes.type == 'image' ) {
					apushome_selector.find('.screenshot').empty().hide().prepend('<img src="' + attachment.attributes.url + '">').slideDown('fast');
				}
			});

		}
		// Finally, open the modal.
		apushome_upload.open();
	}

	function apushome_remove_file(selector) {
		selector.find('.screenshot').slideUp('fast').next().val('').trigger('change');
	}
	
	$('body').delegate('.upload_image_action .remove-image', 'click', function(event) {
		apushome_remove_file( $(this).parent().parent() );
	});

	$('body').delegate('.upload_image_action .add-image', 'click', function(event) {
		apushome_add_file(event, $(this).parent().parent());
	});

});