<?php $thumbsize = !isset($thumbsize) ? apushome_get_blog_thumbsize() : $thumbsize;?>

<article <?php post_class('post post-grid'); ?>>
    <?php
        $thumb = apushome_display_post_thumb($thumbsize);
        echo trim($thumb);
    ?>
    <div class="entry-content <?php echo !empty($thumb) ? '' : 'no-thumb'; ?>">
        <div class="entry-meta">
            <div class="info">
                <?php if (get_the_title()) { ?>
                    <h4 class="entry-title">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h4>
                <?php } ?>
                <div class="meta">
                    <span class="author"><i class="  icon-ap_user-circle"></i><?php the_author_posts_link(); ?></span>
                    <span class="date"><i class=" icon-ap_clock"></i><?php the_time( get_option('date_format', 'd M, Y') ); ?></span>
                    <span class="categories"> <i class="icon-ap_folder"></i><?php apushome_post_categories($post); ?></span>
                    <span class="comment"> <i class="icon-ap_comment"></i> <?php comments_number( '0 Comment', '1 Comments', '% Comments' ); ?></span>
                </div>
            </div>
        </div>
        
        <?php if (! has_excerpt()) { ?>
            <div class="entry-description"><?php echo apushome_substring( get_the_content(), 50, '...' ); ?></div>
        <?php } else { ?>
            <div class="entry-description"><?php the_excerpt(); ?></div>
        <?php } ?>

        <a class="btn-readmore" href="<?php the_permalink(); ?>"> <i class="icon-ap_arrow-right"></i> <span><?php echo esc_html__('Read More','apushome'); ?></span></a>
    </div>
</article>