<?php
$post_format = get_post_format();
global $post;
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    
	<div class="entry-content-detail">
        <div class="entry-meta">
            <div class="info">
                <?php if (get_the_title()) { ?>
                    <h4 class="entry-title">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h4>
                <?php } ?>
                <div class="meta">
                    <span class="author"><i class="  icon-ap_user-circle"></i><?php the_author_posts_link(); ?></span>
                    <span class="date"><i class=" icon-ap_clock"></i><?php the_time( get_option('date_format', 'd M, Y') ); ?></span>
                    <span class="categories"> <i class="icon-ap_folder"></i><?php apushome_post_categories($post); ?></span>
                    <span class="comment"> <i class="icon-ap_comment"></i> <?php comments_number( '0 Comment', '1 Comments', '% Comments' ); ?></span>
                </div>
            </div>
        </div>
        <?php if ( $post_format == 'gallery' ) {
            $gallery = apushome_post_gallery( get_the_content(), array( 'size' => 'full' ) );
        ?>
            <div class="entry-thumb <?php echo  (empty($gallery) ? 'no-thumb' : ''); ?>">
                <?php echo trim($gallery); ?>
            </div>
        <?php } elseif( $post_format == 'link' ) {
                $format = apushome_post_format_link_helper( get_the_content(), get_the_title() );
                $title = $format['title'];
                $link = apushome_get_link_attributes( $title );
                $thumb = apushome_post_thumbnail('', $link);
                echo trim($thumb);
            } else { ?>
            <div class="entry-thumb <?php echo  (!has_post_thumbnail() ? 'no-thumb' : ''); ?>">
                <?php
                    $thumb = apushome_post_thumbnail();
                    echo trim($thumb);
                ?>
            </div>
        <?php } ?>
    	<div class="single-info info-bottom">
            <div class="entry-description">
                <?php
                    if ( $post_format == 'gallery' ) {
                        $gallery_filter = apushome_gallery_from_content( get_the_content() );
                        echo trim($gallery_filter['filtered_content']);
                    } else {
                        the_content();
                    }
                ?>
            </div><!-- /entry-content -->
    		<?php
    		wp_link_pages( array(
    			'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'apushome' ) . '</span>',
    			'after'       => '</div>',
    			'link_before' => '<span>',
    			'link_after'  => '</span>',
    			'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'apushome' ) . ' </span>%',
    			'separator'   => '',
    		) );
    		?>
    		<div class="tag-social clearfix">
    			<?php apushome_post_tags(); ?>
    			<?php if( apushome_get_config('show_blog_social_share', false) ) {
    					get_template_part( 'page-templates/parts/sharebox' );
    				} ?>
    		</div>
    	</div>
    </div>
</article>