<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<article <?php post_class( 'agency-row' ); ?>>
    <div class="agency-row-content">
        <div class="agency-row-content-inner">
            <div class="media agency-row-main clearfix">
                <?php if ( has_post_thumbnail() ) : ?>
		            <div class="media-left media-middle agency-row-thumbnail">
                        <a href="<?php the_permalink(); ?>">
                            <?php the_post_thumbnail( 'thumbnail' ); ?>
                        </a>
		            </div><!-- /.agency-row-thumbnail -->
                <?php endif; ?>

                <div class="media-body agency-row-body media-middle">
                	<h2 class="agency-row-title">
		                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
	                </h2>
	                <?php
	                $agents = Realia_Query::get_agency_agents();
	                $agents_count = $agents->post_count;
	                ?>

	                <?php if ( $agents_count > 0 ) : ?>
	                	<div class="agency-row-sub">
			                <div class="agency-agents-count">
				                <?php echo sprintf(_n('<span class="text-theme">%s</span> Agent', '<span class="text-theme">%s</span> Agents', $agents_count, 'apushome'), $agents_count); ?>
			                </div><!-- /.agency-row-agents -->
			                <?php
			                $properties_count = 0;
			                while ( $agents->have_posts() ) { $agents->the_post();
			                	$properties_count += Realia_Query::get_agent_properties()->post_count;
			                }
			                wp_reset_postdata();
			                if ( $properties_count > 0 ) { ?>
			                	<div class="agency-properties-count">
					                <?php echo sprintf(_n('<span class="text-theme">%s</span> Property', '<span class="text-theme">%s</span> Properties', $properties_count, 'apushome'), $properties_count); ?>
				                </div>
			                <?php } ?>
		                </div>
	                <?php endif; ?>
	                <div class="des">
	                <?php echo apushome_substring( get_the_excerpt(), 25, '...' ); ?>
	                </div>
                </div><!-- /.agency-row-body -->

	            <?php $email = get_post_meta( get_the_ID(), REALIA_AGENCY_PREFIX . 'email', true ); ?>
	            <?php $web = get_post_meta( get_the_ID(), REALIA_AGENCY_PREFIX . 'web', true ); ?>
	            <?php $phone = get_post_meta( get_the_ID(), REALIA_AGENCY_PREFIX . 'phone', true ); ?>
	            <?php $address = get_post_meta( get_the_ID(), REALIA_AGENCY_PREFIX . 'address', true ); ?>

	            <?php if ( ! empty( $email ) || ! empty( $web ) || ! empty( $phone ) || ! empty( $address ) ) : ?>
		            <div class="media-right media-middle">
	                    <ul class="agent-metas">
	                        <?php if ( ! empty( $email ) ) : ?>
		                        <li><i class="fa fa-envelope-o text-theme" aria-hidden="true"></i>
			                        <a href="mailto:<?php echo esc_attr( $email ); ?>">
			                            <?php echo esc_attr( $email ); ?>
			                        </a>
		                        </li>
	                        <?php endif; ?>

	                        <?php if ( ! empty( $web ) ) : ?>
		                        <li><i class="fa fa-globe text-theme" aria-hidden="true"></i>
			                        <a href="<?php echo esc_attr( $web ); ?>">
			                            <?php echo esc_attr( $web ); ?>
			                        </a>
		                        </li>
	                        <?php endif; ?>

	                        <?php if ( ! empty( $phone ) ) : ?>
	                            <li><i class="fa fa-phone text-theme" aria-hidden="true"></i><?php echo esc_attr( $phone ); ?></li>
	                        <?php endif; ?>

	                        <?php if ( ! empty( $address ) ) : ?>
	                            <li><i class="fa fa-map-marker text-theme" aria-hidden="true"></i><?php echo wp_kses( nl2br( $address ), wp_kses_allowed_html( 'post' ) ); ?></li>
	                        <?php endif; ?>
	                    </ul>
	                </div><!-- /.agency-row-overview -->
	            <?php endif; ?>
            </div><!-- /.agency-row-main -->
        </div><!-- /.agency-row-content-inner -->
    </div><!-- /.agency-row-content -->
</article>