<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="entry-content">
            <div class="agent-box-inner">
                <div class="row">
                    <div class="col-md-7">
                        <div class="agent-header">
                            <div class="agent-thumbnail">
                                <?php if ( has_post_thumbnail() ) : ?>
                                    <?php the_post_thumbnail( 'large' ); ?>
                                <?php endif; ?>
                            </div>
                            <div class="content-info">
                                <?php
                                    if ( is_single() ) :
                                        the_title( '<h1 class="agent-row-title">', '</h1>' );
                                    else :
                                        the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
                                    endif;
                                ?>
                                <div class="agencies">
                                    <?php
                                    $agent_agencies = get_post_meta( get_the_ID(), REALIA_AGENT_PREFIX . 'agencies', true );
                                    if ($agent_agencies) {
                                        $count = 1;
                                        foreach ($agent_agencies as $id) {
                                            $post = get_post($id);
                                            ?>
                                            <a href="<?php echo esc_url(get_permalink($post)); ?>" title="<?php echo esc_attr($post->post_title); ?>"><?php echo trim($post->post_title); ?></a><?php echo (count($agent_agencies) > $count ? ', ' : ''); ?>
                                            <?php
                                            $count++;
                                        }
                                    }
                                    ?>
                                </div>    
                                <div class="clearfix">
                                    <ul class="agent-metas">
                                        <?php $email = get_post_meta( get_the_ID(), REALIA_AGENT_PREFIX . 'email', true ); ?>
                                        <?php if ( ! empty( $email ) ) : ?>
                                            <li><i class="fa fa-envelope-o text-theme" aria-hidden="true"></i><?php echo esc_attr( $email ); ?></li>
                                        <?php endif; ?>

                                        <?php $phone = get_post_meta( get_the_ID(), REALIA_AGENT_PREFIX . 'phone', true ); ?>
                                        <?php if ( ! empty( $phone ) ) : ?>
                                            <li><i class="fa fa-phone text-theme" aria-hidden="true"></i><?php echo esc_attr( $phone ); ?></li>
                                        <?php endif; ?>

                                        <?php $web = get_post_meta( get_the_ID(), REALIA_AGENT_PREFIX . 'web', true ); ?>
                                        <?php if ( ! empty( $web ) ) : ?>
                                            <li><i class="fa fa-globe text-theme" aria-hidden="true"></i><?php echo esc_attr( $web ); ?></li>
                                        <?php endif; ?>

                                        <?php $address = get_post_meta( get_the_ID(), REALIA_AGENT_PREFIX . 'address', true ); ?>
                                        <?php if ( ! empty( $address ) ) : ?>
                                           <li><i class="fa fa-map-marker text-theme" aria-hidden="true"></i><?php echo wp_kses( nl2br( $address ), wp_kses_allowed_html( 'post' ) ); ?></li>
                                        <?php endif; ?>
                                    </ul>
                                </div><!-- /.agent-overview -->
                                <div class="agent-social-networks">
                                    <?php
                                        $social_icons = apushome_realia_agent_social_icons();
                                        $social_networks = apply_filters( 'realia_social_networks', array() );
                                        foreach( $social_networks as $key => $title ) {
                                            $social_url = get_post_meta( get_the_ID(), REALIA_AGENT_PREFIX . 'social_' . $key, true );
                                            if ( !empty($social_url) ) {
                                                ?>
                                                <a href="<?php echo esc_url($social_url); ?>" title="<?php echo esc_attr($title); ?>">
                                                    <i class="<?php echo esc_attr(isset($social_icons[$key]) ? $social_icons[$key] : 'icon-ap_facebook-outline'); ?>"></i>
                                                </a>
                                                <?php
                                            }
                                        }
                                    ?>
                                </div><!-- /.agent-social-networks -->
                            </div>
                        </div><!-- /.agent-header -->
                    </div>
                    <div class="col-md-5">
                        <?php if ( apushome_get_config('show_agent_contact_form') ) { ?>
                            <?php echo Realia_Template_Loader::load('agents/contact-form'); ?>
                        <?php } ?>
                    </div>   
                </div>
            </div>
            <?php $properties = Realia_Query::get_agent_properties(); ?>
            <div class="tabs-content-agent">
                <ul class="nav nav-tabs">
                    <li class="active">
                        <a href="#tab-content-description" data-toggle="tab">
                            <?php echo esc_html__( 'Description', 'apushome' ); ?>
                        </a>
                    </li>
                    <?php if ( $properties->have_posts() && apushome_get_config('show_agent_properties') ) { ?>
                        <li>
                            <a href="#tab-content-properties" data-toggle="tab">
                                <?php echo esc_html__( 'Properties', 'apushome' ); ?>
                            </a>
                        </li>
                    <?php } ?>
                </ul>
                <div class="tab-content tab-content-descrip">
                    <div id="tab-content-description" class="tab-pane active">
                        <!-- Description -->
                        <?php the_content(); ?>
                    </div>
                    <?php if ( $properties->have_posts() && apushome_get_config('show_agent_properties') ) { ?>
                        <div id="tab-content-properties" class="tab-pane">
                            <!-- Overview | Detail -->
                            <?php
                                $bcol = 4;
                                $class = 'col-md-'.esc_attr($bcol).' col-sm-6';
                            ?>
                                <div class="agent-properties type-box">
                                    <div class="row">
                                        <?php
                                            $count = 0;
                                            while ( $properties->have_posts() ) : $properties->the_post(); ?>
                                                <div class="<?php echo esc_attr($class); ?><?php echo ($count%3 == 0) ? ' col-md-clear':''; ?> <?php echo ($count%2 == 0) ? ' col-sm-clear' : ''; ?>">
                                                    <?php echo Realia_Template_Loader::load( 'properties/box' ); ?>
                                                </div><!-- /.property-container -->
                                        <?php $count++; ?>
                                        <?php endwhile; ?>
                                    </div><!-- /.properties-row -->
                                </div><!-- /.agent-properties -->
                            <?php wp_reset_postdata(); ?>
                        </div>
                    <?php } ?>
                </div>
            </div>
        

        
        <?php wp_link_pages( array(
            'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'apushome' ) . '</span>',
            'after'       => '</div>',
            'link_before' => '<span>',
            'link_after'  => '</span>',
            'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'apushome' ) . ' </span>%',
            'separator'   => '<span class="screen-reader-text">, </span>',
        ) ); ?>
        <?php if ( comments_open() || get_comments_number() ) : ?>
            <div class="box"><?php comments_template( '', true ); ?></div>
        <?php endif; ?>

    </div><!-- .entry-content -->
</article><!-- #post-## -->