<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
wp_enqueue_media();
wp_enqueue_script( 'apushome-upload', get_template_directory_uri() . '/js/upload.js', array( 'jquery' ), '20150330', true );
?>

<?php if ( method_exists( 'Realia_Utilities', 'protect' ) ) { Realia_Utilities::protect(); } ?>

<?php $user = wp_get_current_user(); ?>
<?php
	$data = get_userdata( $user->ID );
	$avatar = get_the_author_meta( 'apus_avatar', $user->ID );
	$avatar_url = wp_get_attachment_image_src($avatar, 'full');
?>

<form method="post" action="<?php the_permalink(); ?>" class="change-profile-form">

	<div class="form-group">
		<label for="change-profile-form-phone"><?php echo esc_html__( 'Avatar', 'apushome' ); ?></label>
		<div class="screenshot avatar-screenshot">
            <?php if ( !empty($avatar_url[0]) ) { ?>
                <img src="<?php echo esc_url($avatar_url[0]); ?>" alt="" style="max-width:100%;"/>
            <?php } ?>
        </div>
        <input class="widefat upload_image" name="user_avatar" type="hidden" value="<?php echo esc_attr($avatar); ?>" />
        <div class="upload_image_action">
            <input type="button" class="button btn btn-theme add-image" value="<?php echo esc_html__( 'Add Avatar', 'apushome' ); ?>">
            <input type="button" class="button btn btn-theme-second remove-image" value="<?php echo esc_html__( 'Remove Avatar', 'apushome' ); ?>">
        </div>
	</div><!-- /.form-group -->

	<div class="form-group">
		<label for="change-profile-form-nickname"><?php echo esc_html__( 'Nickname', 'apushome' ); ?></label>
		<input id="change-profile-form-nickname" type="text" name="nickname" class="form-control" value="<?php echo ! empty( $data->nickname ) ? esc_attr( $data->nickname ) : ''; ?>" required="required">
	</div><!-- /.form-group -->

	<div class="form-group">
		<label for="change-profile-form-email"><?php echo esc_html__( 'E-mail', 'apushome' ); ?></label>
		<input id="change-profile-form-email" type="email" name="email" class="form-control" value="<?php echo ! empty( $data->user_email ) ? esc_attr( $data->user_email ) : ''; ?>"  required="required">
	</div><!-- /.form-group -->

	<div class="form-group">
		<label for="change-profile-form-first-name"><?php echo esc_html__( 'First name', 'apushome' ); ?></label>
		<input id="change-profile-form-first-name" type="text" name="first_name" class="form-control" value="<?php echo ! empty( $data->first_name ) ? esc_attr( $data->first_name ) : ''; ?>">
	</div><!-- /.form-group -->

	<div class="form-group">
		<label for="change-profile-form-last-name"><?php echo esc_html__( 'Last name', 'apushome' ); ?></label>
		<input id="change-profile-form-last-name" type="text" name="last_name" class="form-control" value="<?php echo ! empty( $data->last_name ) ? esc_attr( $data->last_name ) : ''; ?>">
	</div><!-- /.form-group -->

	<div class="form-group">
		<label for="change-profile-form-phone"><?php echo esc_html__( 'Phone', 'apushome' ); ?></label>
		<input id="change-profile-form-phone" type="text" name="phone" class="form-control" value="<?php echo ! empty( $data->phone ) ? esc_attr( $data->phone ) : ''; ?>">
	</div><!-- /.form-group -->

	

	<button type="submit" name="change_profile_form" class="button btn btn-theme-second"><?php echo esc_html__( 'Change Profile', 'apushome' ); ?></button>
</form>
