<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<?php $property = isset( $property ) ? $property : get_post(); ?>

<div class="property-box property-box-list">
	<div class="row">
		<div class="col-xs-6">
		    <div class="property-box-image <?php if ( ! has_post_thumbnail( $property ) ) { echo 'without-image'; } ?>">
		        <a href="<?php the_permalink(); ?>" class="property-box-image-inner">
					<?php
			        /**
			         * realia_before_property_box_image
			         */
			        do_action( 'realia_before_property_box_image', $property->ID );
			        ?>

		            <?php if ( has_post_thumbnail( $property ) ) : ?>
						<?php echo get_the_post_thumbnail( $property, 'property-box-thumbnail' ); ?>
		            <?php endif; ?>

					<?php
			        /**
			         * realia_after_property_box_image
			         */
			        do_action( 'realia_after_property_box_image', $property->ID );
			        ?>

			        <?php
		                $video = get_post_meta( get_the_ID(), REALIA_PROPERTY_PREFIX . 'video', true );
		                $gallery = get_post_meta( get_the_ID(), REALIA_PROPERTY_PREFIX . 'gallery', true )
		            ?>
		            <?php if ( !empty( $video ) || !empty($gallery) ) { ?>
		                <div class="meta-bottom">
		                    <?php if ( !empty( $video ) ) { ?>
		                        <span><i class="icon-ap_video"></i></span>
		                    <?php } ?>
		                    <?php if ( !empty( $gallery ) ) { ?>
		                        <span><i class="icon-ap_pic"></i> <?php echo trim(count($gallery)); ?></span>
		                    <?php } ?>
		                </div>
		            <?php } ?>
		        </a>
		    </div><!-- /.property-image -->
	    </div>
	    <div class="col-xs-6 content">
		    <div class="property-box-content">
		        <div class="property-box-title-wrap">
		            <?php $price = Realia_Price::get_property_price( $property->ID ); ?>
			        <?php if ( ! empty( $price ) ) : ?>
			            <div class="property-box-price text-theme">
			                <?php echo wp_kses( $price, wp_kses_allowed_html( 'post' ) ); ?>
			            </div><!-- /.property-box-price -->
			        <?php endif; ?>

			        <h3 class="property-box-title"><a href="<?php the_permalink( $property ); ?>"><?php echo get_the_title( $property ) ?></a></h3>
		            
			        <?php $location = Realia_Query::get_property_location_name( null, ',' ); ?>
	                <?php if ( ! empty( $location ) ) : ?>
	                    <div class="property-row-location">
	                        <i class="icon-ap_pin" aria-hidden="true"></i>
	                        <?php echo wp_kses( $location, wp_kses_allowed_html( 'post' ) ); ?>
	                    </div>
	                <?php endif; ?>

	                <div class="property-box-meta clearfix">
	                    <?php $home_area = get_post_meta( get_the_ID(), REALIA_PROPERTY_PREFIX . 'home_area', true ); ?>
	                    <?php if ( ! empty( $home_area ) ) : ?>
	                        <div class="field-item">
	                            <i class="icon-ap_area text-theme"></i>
	                            <?php echo sprintf(__('<span>%s</span> Area', 'apushome'), $home_area.' '.get_theme_mod( 'realia_measurement_area_unit', null ) ); ?>
	                        </div>
	                    <?php endif; ?>

	                    <?php $beds = get_post_meta( get_the_ID(), REALIA_PROPERTY_PREFIX . 'beds', true ); ?>
	                    <?php if ( ! empty( $beds ) ) : ?>
	                        <div class="field-item">
	                            <i class="icon-ap_bed-room text-theme"></i>
	                            <?php echo sprintf(_n('<span>%s</span> Bedroom', '<span>%s</span> Bedrooms', $beds, 'apushome'), $beds); ?>
	                        </div>
	                    <?php endif; ?>

	                    <?php $baths = get_post_meta( get_the_ID(), REALIA_PROPERTY_PREFIX . 'baths', true ); ?>
	                    <?php if ( ! empty( $baths ) ) : ?>
	                        <div class="field-item">
	                            <i class="icon-ap_bath-room text-theme"></i>
	                            <?php echo sprintf(_n('<span>%s</span> Bathroom', '<span>%s</span> Bathrooms', $baths, 'apushome'), $baths); ?>
	                        </div>
	                    <?php endif; ?>

	                    <?php $garages = get_post_meta( get_the_ID(), REALIA_PROPERTY_PREFIX . 'garages', true ); ?>
	                    <?php if ( ! empty( $garages ) ) : ?>
	                        <div class="field-item last-childen">
	                            <i class="icon-ap_car-park text-theme"></i>
	                            <?php echo sprintf(_n('<span>%s</span> Garage', '<span>%s</span> Garages', $garages, 'apushome'), $garages); ?>
	                        </div>
	                    <?php endif; ?>
	                </div>
		        </div><!-- /.property-box-title -->
		    </div><!-- /.property-box-content -->
	    </div>
    </div>
</div>