<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
?>

<?php $property = isset( $property ) ? $property : get_post(); ?>

<?php $is_sticky = get_post_meta( $property->ID, REALIA_PROPERTY_PREFIX . 'sticky', true ); ?>
<?php $status = Realia_Query::get_property_status_name(); ?>
<div class="property-box property-box-wrapper property-box-list-row clearfix" data-markerid="marker-<?php echo esc_attr($property->ID); ?>">
    <div class="row">
    <div class="col-md-5 col-xs-12 property-box-image <?php if ( ! has_post_thumbnail( $property ) ) { echo 'without-image'; } ?>">
        <a href="<?php the_permalink($property); ?>" class="property-box-image-inner <?php if ( ! empty( $agent ) ) : ?>has-agent<?php endif; ?>">
            <?php
            /**
             * realia_before_property_box_image
             */
            do_action( 'realia_before_property_box_image', $property->ID );
            ?>

            <?php if ( has_post_thumbnail( $property ) ) : ?>
                <?php echo get_the_post_thumbnail( $property, 'property-thumbnail' ); ?>
            <?php endif; ?>
            <span class="meta-top">
                <?php
                /**
                 * realia_after_property_box_image
                 */
                do_action( 'realia_after_property_box_image', $property->ID );
                ?>
                
                <?php apushome_realia_contract_label( $property->ID ); ?>

                <?php $is_featured = get_post_meta( $property->ID, REALIA_PROPERTY_PREFIX . 'featured', true ); ?>
                <?php $is_reduced = get_post_meta( $property->ID, REALIA_PROPERTY_PREFIX . 'reduced', true ); ?>

                <?php if ( $is_featured && $is_reduced ) : ?>
                    <span class="property-badge reduced"><?php echo esc_html__( 'Featured', 'apushome' ); ?> / <?php echo esc_html__( 'Reduced', 'apushome' ); ?></span>
                <?php elseif ( $is_reduced ) : ?>
                    <span class="property-badge"><?php echo esc_html__( 'Reduced', 'apushome' ); ?></span>
                <?php endif; ?>

                <?php if ( $is_sticky ) : ?>
                    <span class="property-badge property-badge-sticky"><?php echo esc_html__( 'TOP', 'apushome' ); ?></span>
                <?php endif; ?>
            </span>
            <?php if ( $is_featured ) : ?>
                <div class="property-badge feature"><?php echo esc_html__( 'Featured', 'apushome' ); ?></div>
            <?php endif; ?>
            <?php
                $video = get_post_meta( $property->ID, REALIA_PROPERTY_PREFIX . 'video', true );
                $gallery = get_post_meta( $property->ID, REALIA_PROPERTY_PREFIX . 'gallery', true )
            ?>
            <?php if ( !empty( $video ) || !empty($gallery) ) { ?>
                <div class="meta-bottom">
                    <?php if ( !empty( $video ) ) { ?>
                        <span><i class="icon-ap_video"></i></span>
                    <?php } ?>
                    <?php if ( !empty( $gallery ) ) { ?>
                        <span><i class=" icon-ap_pic"></i> <span class="number"><?php echo trim(count($gallery)); ?></span> </span>
                    <?php } ?>
                </div>
            <?php } ?>
        </a>
    </div><!-- /.property-image -->

    <div class=" col-md-7 col-xs-12">
        <div class="property-box-content">
            <div class="property-box-top clearfix">
                <?php $price = Realia_Price::get_property_price( $property->ID ); ?>
                <?php if ( ! empty( $price ) ) : ?>
                    <div class="property-box-price text-theme">
                        <?php echo wp_kses( $price, wp_kses_allowed_html( 'post' ) ); ?>
                    </div><!-- /.property-box-price -->
                <?php endif; ?>

                <?php
                if ( class_exists('Apushome_Realia_Compare') ) {
                    Apushome_Realia_Compare::display_compare_btn( $property->ID );
                }
                ?>
                <!-- share -->
                <div class="property-box-share pull-right">
                    <a href="#share-box" data-toggle="tooltip" data-placement="top" title="<?php echo esc_html__( 'Share', 'apushome' ); ?>">
                        <i class="icon-ap_share"></i>
                    </a>
                    <div class="property-box-share-content">
                        <?php get_template_part( 'page-templates/parts/sharebox-property' ); ?>
                    </div>
                </div>

                <div class="pull-right">
                    <?php if ( class_exists('Apushome_Realia_Favorite') ) {
                        Apushome_Realia_Favorite::btn_display( $property->ID );
                    }
                    ?>
                </div>
            </div>
            <div class="property-box-top">
                <div class="property-box-title-wrap">
                    <div class="property-box-title">
                        <h3 class="entry-title"><a href="<?php the_permalink( $property ); ?>"><?php echo get_the_title( $property ) ?></a></h3>
                        <?php $location = Realia_Query::get_property_location_name( null, ',' ); ?>
                        <?php if ( ! empty( $location ) ) : ?>
                            <div class="property-row-location">
                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                <?php echo wp_kses( $location, wp_kses_allowed_html( 'post' ) ); ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div><!-- /.property-box-title -->
            </div>

            <div class="property-box-field">
                <div class="property-box-meta">
                    <?php $beds = get_post_meta( $property->ID, REALIA_PROPERTY_PREFIX . 'beds', true ); ?>
                    <?php if ( ! empty( $beds ) ) : ?>
                        <div class="field-item">
                            <?php echo sprintf(_n('<span>%s</span> Bedroom', '<span>%s</span> Bedrooms', $beds, 'apushome'), $beds); ?>
                        </div>
                    <?php endif; ?>

                    <?php $baths = get_post_meta( $property->ID, REALIA_PROPERTY_PREFIX . 'baths', true ); ?>
                    <?php if ( ! empty( $baths ) ) : ?>
                        <div class="field-item">
                            <?php echo sprintf(_n('<span>%s</span> Bathroom', '<span>%s</span> Bathrooms', $baths, 'apushome'), $baths); ?>
                        </div>
                    <?php endif; ?>

                    <?php $garages = get_post_meta( $property->ID, REALIA_PROPERTY_PREFIX . 'garages', true ); ?>
                    <?php if ( ! empty( $garages ) ) : ?>
                        <div class="field-item">
                            <?php echo sprintf(_n('<span>%s</span> Garage', '<span>%s</span> Garages', $garages, 'apushome'), $garages); ?>
                        </div>
                    <?php endif; ?>
                </div>
            </div>

            <div class="property-meta clearfix">
                <div class="property-author pull-left">
                    <?php apushome_realia_display_property_agent( $property->ID ); ?>
                </div>
                <?php $type = apushome_realia_get_property_tax( $property->ID, 'property_types' ); ?>
                <?php if ( ! empty( $type ) ) : ?>
                    <a class="pull-right type-property" href="<?php echo esc_url( get_term_link($type) ); ?>"><?php echo esc_attr( $type->name ); ?></a>
                <?php endif; ?>
            </div>
        </div>
    </div><!-- /.property-box-content -->
    </div>
</div>