<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<div id="favorite-property-<?php echo esc_attr( get_the_ID() ); ?>" class="property-small">
	<div class="property-small-image <?php if ( ! has_post_thumbnail() ) { echo 'without-image'; } ?>">
		<div class="property-small-image-inner">
			<?php if ( has_post_thumbnail() ) :   ?>
				<a href="<?php the_permalink(); ?>">
					<?php the_post_thumbnail( 'thumbnail' ); ?>
				</a>
				<?php if ( isset($compare) && $compare ) { ?>
					<a href="favorite-property-<?php echo esc_attr( get_the_ID() ); ?>" class="apus-remove-compare apus-deleted-item" data-id="<?php echo esc_attr( get_the_ID() ); ?>">
						<i class=" icon-ap_close" aria-hidden="true"></i>
					</a>
				<?php } ?>
				<?php if ( isset($favorite) && $favorite ) { ?>
					<a href="#favorite-course-<?php echo esc_attr( get_the_ID() ); ?>" class="apus-favorite-remove apus-deleted-item" data-id="<?php echo esc_attr( get_the_ID() ); ?>">
						<i class="icon-ap_close" aria-hidden="true"></i>
					</a>
				<?php } ?>
			<?php endif; ?>
		</div>
	</div><!-- /.property-small-image -->

	<div class="property-small-content">
		<?php $type = Realia_Query::get_property_type_name(); ?>
		<?php if ( ! empty( $type ) ) : ?>
			<div class="property-small-type hidden">
				<?php echo wp_kses( $type, wp_kses_allowed_html( 'post' ) ); ?>
			</div><!-- /.property-small-type -->
		<?php endif; ?>
		<?php $price = Realia_Price::get_property_price(); ?>
		<?php if ( ! empty( $price ) ) : ?>
			<div class="property-small-price text-theme">
				<?php echo wp_kses( $price, wp_kses_allowed_html( 'post' ) ); ?>
			</div><!-- /.property-small-price -->
		<?php endif; ?>

		<h3 class="property-small-title">
			<a href="<?php the_permalink(); ?>"><?php the_title() ?></a>
		</h3><!-- /.property-small-title -->

        <?php $location = Realia_Query::get_property_location_name( null, ',' ); ?>
        <?php if ( ! empty( $location ) ) : ?>
            <div class="property-row-location">
                <?php echo wp_kses( $location, wp_kses_allowed_html( 'post' ) ); ?>
            </div>
        <?php endif; ?>
        
	</div><!-- /.property-small-content -->
	
</div><!-- /.property-small -->