<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<header class="entry-header">
	<div class="gallery-v1-wrapper">
		<?php echo Realia_Template_Loader::load('single/gallery-v1'); ?>

		<?php $gallery = get_post_meta( get_the_ID(), REALIA_PROPERTY_PREFIX . 'gallery', true ); ?>
		<?php if ( ! empty( $gallery ) ) : ?>
			<?php echo Realia_Template_Loader::load('single/agent'); ?>
			<div class="owl-nav gallery-v1-wrapper-owl-nav">
				<div class="owl-prev" style=""><span class="icon-ap_circle-left"></span></div>
				<div class="owl-next" style=""><span class="icon-ap_circle-right"></span></div>
			</div>
		<?php endif; ?>
	</div>
</header>
<div class="container">
	<div class="top-detail clearfix main-content-top">
		<?php apushome_property_breadcrumbs(); ?>
	</div>
	<div class="entry-content sticky-v-wrapper">
		<div class="apus-col-8">
			<div class="property-content">
				<header class="entry-header">
					<?php echo Realia_Template_Loader::load('single/content-header'); ?>
				</header>
				<?php 
				$content_layout = apushome_get_config('property_single_content_layout', 'default');
				if (empty($content_layout)) {
					$content_layout = 'default';
				}
				?>
				<?php echo Realia_Template_Loader::load('single-layout/content-layout/'.$content_layout, array('layout_type' => 'layout4')); ?>
				
				<!-- SUBPROPERTIES -->
				<?php echo Realia_Template_Loader::load('single/subproperties'); ?>
				
		        <!-- SIMILAR PROPERTIES -->
		        <?php echo Realia_Template_Loader::load('single/similar'); ?>

		        <?php wp_link_pages( array(
					'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'apushome' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
					'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'apushome' ) . ' </span>%',
					'separator'   => '<span class="screen-reader-text">, </span>',
				) );
				?>
				
		        <?php if ( comments_open() || get_comments_number() ) : ?>
		            <?php comments_template( '', true ); ?>
		        <?php endif; ?>
			</div>
		</div>
		<div class="apus-col-4 sidebar-detail sidebar <?php echo (apushome_get_config('enable_sticky_sidebar', 1) ? 'sticky-this' : ''); ?>">
			<!-- sidebar -->
			<?php if ( is_active_sidebar( 'single-property-sidebar' ) ) : ?>
				<?php dynamic_sidebar( 'single-property-sidebar' ); ?>
			<?php endif; ?>
		</div>
	</div>
</div>