<?php
$agents = Realia_Query::get_property_agents();

$args = array(
	'post_type'         => 'agent',
	'post__in'          => count( $agents ) > 0 ? $agents : array( null ),
	'posts_per_page'    => 1,
);
$loop = new WP_Query($args);

if ( $loop->have_posts() ) :?>
<div class="property-box-slider-wrapper">
	<div class="container">
		<div class="property-box-slider-content">
			<div class="header-top">
                <?php
                $agents = Realia_Query::get_property_agents();
                $args = array(
                    'post_type'         => 'agent',
                    'post__in'          => count( $agents ) > 0 ? $agents : array( null ),
                    'posts_per_page'    => 1,
                );
                $posts = get_posts($args);
                if ( !empty($posts) ) { $agent = $posts[0];  ?>
                    <div class="property-agent-wrapper">
                        <div class="type-small item-per-row-1">
                            <div class="agents-container  clearfix">
                                
                                <div class="agent-small">
                                    <div class="agent-small-inner">
                                        <div class="agent-small-image">
                                            <a href="<?php the_permalink() ?>" class="agent-small-image-inner">
                                                <?php if ( has_post_thumbnail($agent->ID) ) : ?>
                                                    <?php echo get_the_post_thumbnail( $agent->ID, 'property-thumbnail' ); ?>
                                                <?php endif; ?>
                                            </a><!-- /.agent-small-image-inner -->
                                        </div><!-- /.agent-small-image -->

                                        <div class="agent-small-content">
                                            <h3 class="agent-small-title"><a href="<?php the_permalink(); ?>"><?php echo trim($agent->post_title); ?></a></h3>
                                            <div class="agencies">
                                                <?php
                                                $agent_agencies = get_post_meta( $agent->ID, REALIA_AGENT_PREFIX . 'agencies', true );
                                                if ($agent_agencies) {
                                                    $count = 1;
                                                    foreach ($agent_agencies as $id) {
                                                        $post = get_post($id);
                                                        ?>
                                                        <a href="<?php echo esc_url(get_permalink($post)); ?>" title="<?php echo esc_attr($post->post_title); ?>">
                                                            <?php echo trim($post->post_title); ?>
                                                        </a><?php echo (count($agent_agencies) > $count ? ', ' : ''); ?>
                                                        <?php
                                                        $count++;
                                                    }
                                                }
                                                ?>
                                            </div>
                                            <div class="agent-meta">
                                                <?php $phone = get_post_meta( $agent->ID, REALIA_AGENT_PREFIX . 'phone', true ); ?>
                                                <?php if ( ! empty( $phone ) ) : ?>
                                                    <div class="agent-small-phone">
                                                        <i class="fa fa-phone"></i>
                                                        <?php echo esc_attr( $phone ); ?>
                                                    </div><!-- /.agent-small-phone -->
                                                <?php endif; ?>

                                                <?php
                                                    $properties = Realia_Query::get_agent_properties();
                                                    $count_properties = $properties->post_count;
                                                ?>
                                                <?php if ( $count_properties ) : ?>
                                                    <div class="agent-small-properties">
                                                        <?php echo sprintf(_n('<span>%s</span> Property', '<span>%s</span> Properties', $count_properties, 'apushome'), $count_properties); ?>
                                                    </div><!-- /.agent-small-web -->
                                                <?php endif; ?>
                                            </div>
                                        </div><!-- /.agent-small-content -->
                                    </div><!-- /.agent-small-inner -->
                                </div><!-- /.agent-small -->

                            </div>
                        </div>
                    </div>
                <?php } ?>
            </div>
			<div class="property-agent-bottom">

				<form method="post" action="<?php the_permalink(); ?>" class="contact-agent">
				    <input type="hidden" name="post_id" value="<?php the_ID(); ?>">
				    
			        <input type="hidden" name="receive_agent" value="1">

				    <div class="form-group">
				        <input class="form-control" name="name" type="text" placeholder="<?php echo esc_html__( 'Name', 'apushome' ); ?>" value="<?php echo empty( $_POST['name'] ) ? '' : esc_attr( $_POST['name'] ); ?>" required="required">
				    </div><!-- /.form-group -->

				    <div class="form-group">
				        <input class="form-control" name="email" type="email" placeholder="<?php echo esc_html__( 'E-mail', 'apushome' ); ?>" value="<?php echo empty( $_POST['email'] ) ? '' : esc_attr( $_POST['email'] ); ?>" required="required">
				    </div><!-- /.form-group -->

				    <div class="form-group">
				        <input class="form-control" name="phone" type="text" placeholder="<?php echo esc_html__( 'Phone', 'apushome' ); ?>" value="<?php echo empty( $_POST['phone'] ) ? '' : esc_attr( $_POST['phone'] ); ?>" required="required">
				    </div><!-- /.form-group -->

				    <div class="form-group">
				        <textarea class="form-control" name="message" required="required" placeholder="<?php echo esc_html__( 'Message', 'apushome' ); ?>" rows="4"><?php echo empty( $_POST['message'] ) ? '' : esc_attr( $_POST['message'] ); ?></textarea>
				    </div><!-- /.form-group -->

			        <?php if ( Realia_Recaptcha::is_recaptcha_enabled() ) : ?>
			            <div id="recaptcha-<?php echo esc_attr( apushome_random_key() ); ?>" class="g-recaptcha" data-sitekey="<?php echo get_theme_mod( 'realia_recaptcha_site_key' ); ?>"></div>
			        <?php endif; ?>

				    <div class="button-wrapper">
				        <button type="submit" class="button btn btn-theme-second" name="enquire_form"><?php echo esc_html__( 'Send Message', 'apushome' ); ?></button>
				    </div><!-- /.button-wrapper -->
				</form>
			</div>
		</div>
	</div>
</div>
<?php endif; ?>

