<?php
global $post;
$property = $post;
?>
<div class="property-box-slider-wrapper">
    <div class="content">
        <div class="container">
            <div class="property-box-slider-content">
                <div class="header-top">
                    <?php
                    $agents = Realia_Query::get_property_agents();
                    $args = array(
                        'post_type'         => 'agent',
                        'post__in'          => count( $agents ) > 0 ? $agents : array( null ),
                        'posts_per_page'    => 1,
                    );
                    $posts = get_posts($args);
                    if ( !empty($posts) ) { $agent = $posts[0];  ?>
                        <div class="property-agent-wrapper">
                            <div class="type-small item-per-row-1">
                                <div class="agents-container">
                                    
                                    <div class="agent-small">
                                        <div class="agent-small-inner">
                                            <div class="agent-small-image">
                                                <a href="<?php the_permalink() ?>" class="agent-small-image-inner">
                                                    <?php if ( has_post_thumbnail($agent->ID) ) : ?>
                                                        <?php echo get_the_post_thumbnail( $agent->ID, 'property-thumbnail' ); ?>
                                                    <?php endif; ?>
                                                </a><!-- /.agent-small-image-inner -->
                                            </div><!-- /.agent-small-image -->

                                            <div class="agent-small-content">
                                                <h3 class="agent-small-title"><a href="<?php the_permalink(); ?>"><?php echo trim($agent->post_title); ?></a></h3>
                                                <div class="agencies">
                                                    <?php
                                                    $agent_agencies = get_post_meta( $agent->ID, REALIA_AGENT_PREFIX . 'agencies', true );
                                                    if ($agent_agencies) {
                                                        $count = 1;
                                                        foreach ($agent_agencies as $id) {
                                                            $apost = get_post($id);
                                                            ?>
                                                            <a href="<?php echo esc_url(get_permalink($apost)); ?>" title="<?php echo esc_attr($apost->post_title); ?>">
                                                                <?php echo trim($apost->post_title); ?>
                                                            </a><?php echo (count($agent_agencies) > $count ? ', ' : ''); ?>
                                                            <?php
                                                            $count++;
                                                        }
                                                    }
                                                    ?>
                                                </div>
                                                <div class="agent-meta">
                                                    <?php $phone = get_post_meta( $agent->ID, REALIA_AGENT_PREFIX . 'phone', true ); ?>
                                                    <?php if ( ! empty( $phone ) ) : ?>
                                                        <div class="agent-small-phone">
                                                            <i class="fa fa-phone"></i>
                                                            <?php echo esc_attr( $phone ); ?>
                                                        </div><!-- /.agent-small-phone -->
                                                    <?php endif; ?>

                                                    <?php
                                                        $properties = Realia_Query::get_agent_properties();
                                                        $count_properties = $properties->post_count;
                                                    ?>
                                                    <?php if ( $count_properties ) : ?>
                                                        <div class="agent-small-properties">
                                                            <?php echo sprintf(_n('<span>%s</span> Property', '<span>%s</span> Properties', $count_properties, 'apushome'), $count_properties); ?>
                                                        </div><!-- /.agent-small-web -->
                                                    <?php endif; ?>
                                                </div>
                                            </div><!-- /.agent-small-content -->
                                        </div><!-- /.agent-small-inner -->
                                    </div><!-- /.agent-small -->

                                </div>
                            </div>
                        </div>
                    <?php } ?>
                </div>
                <div class="bottom-content">
                    <?php $price = Realia_Price::get_property_price( $property->ID ); ?>
                    <?php if ( ! empty( $price ) ) : ?>
                        <div class="property-box-price text-theme">
                            <?php echo wp_kses( $price, wp_kses_allowed_html( 'post' ) ); ?>
                        </div><!-- /.property-box-price -->
                    <?php endif; ?>
                    <div class="property-box-title-wrap">
                        <div class="property-box-title">
                            <h3 class="entry-title"><a href="<?php the_permalink( $property ); ?>"><?php echo get_the_title( $property ) ?></a></h3>
                            <?php $location = Realia_Query::get_property_location_name( null, ',' ); ?>
                            <?php if ( ! empty( $location ) ) : ?>
                                <div class="property-row-location">
                                    <i class="icon-ap_pin" aria-hidden="true"></i>
                                    <?php echo wp_kses( $location, wp_kses_allowed_html( 'post' ) ); ?>
                                </div>
                            <?php endif; ?>
                        </div>
                        
                    </div><!-- /.property-box-title-->
                    <div class="property-box-top">
                        <div class="property-box-meta">
                            <?php $home_area = get_post_meta( $property->ID, REALIA_PROPERTY_PREFIX . 'home_area', true ); ?>
                            <?php if ( ! empty( $home_area ) ) : ?>
                                <div class="field-item">
                                    <i class=" icon-ap_area"></i>
                                    <?php echo sprintf(__('<span>%s</span> ', 'apushome'), $home_area.' '.get_theme_mod( 'realia_measurement_area_unit', null ) ); ?>
                                </div>
                            <?php endif; ?>

                            <?php $beds = get_post_meta( $property->ID, REALIA_PROPERTY_PREFIX . 'beds', true ); ?>
                            <?php if ( ! empty( $beds ) ) : ?>
                                <div class="field-item">
                                    <i class="icon-ap_bed-room"></i>
                                    <?php echo sprintf(_n('<span>%s</span> ', '<span>%s</span> ', $beds, 'apushome'), $beds); ?>
                                </div>
                            <?php endif; ?>

                            <?php $baths = get_post_meta( $property->ID, REALIA_PROPERTY_PREFIX . 'baths', true ); ?>
                            <?php if ( ! empty( $baths ) ) : ?>
                                <div class="field-item">
                                    <i class="icon-ap_bath-room"></i>
                                    <?php echo sprintf(_n('<span>%s</span>', '<span>%s</span> ', $baths, 'apushome'), $baths); ?>
                                </div>
                            <?php endif; ?>

                            <?php $garages = get_post_meta( $property->ID, REALIA_PROPERTY_PREFIX . 'garages', true ); ?>
                            <?php if ( ! empty( $garages ) ) : ?>
                                <div class="field-item last-childen">
                                    <i class=" icon-ap_car-park"></i>
                                    <?php echo sprintf(_n('<span>%s</span>', '<span>%s</span>', $garages, 'apushome'), $garages); ?>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="header-right clearfix">
                        <div class="pull-left favorite">
                            <?php if ( class_exists('Apushome_Realia_Favorite') ) {
                                Apushome_Realia_Favorite::btn_display();
                            }
                            ?>
                        </div>
                        <div class="property-box-share pull-left">
                            <a href="#share-box" class="share-box" data-toggle="tooltip" data-placement="top" title="<?php echo esc_html__( 'Share', 'apushome' ); ?>">
                                <i class="icon-ap_share"></i>
                                <span class="title"><?php echo esc_html__('Share','apushome') ?></span>
                            </a>
                            <div class="property-box-share-content">
                                <?php get_template_part( 'page-templates/parts/sharebox-property' ); ?>
                            </div>
                        </div>
                    </div>

                </div>
            </div><!-- /.property-box-content -->
        </div>
    </div>
</div>